CREATE TABLE `@@DB_MAIN_PREFIX@@api_key`(
	`id` int(10) unsigned NOT NULL  auto_increment , 
	`isactive` tinyint(1) NOT NULL  DEFAULT 1 , 
	`ipaddr` varchar(16) COLLATE utf8_general_ci NOT NULL  , 
	`apikey` varchar(255) COLLATE utf8_general_ci NOT NULL  , 
	`updated` datetime NOT NULL  DEFAULT '0000-00-00 00:00:00' , 
	`created` datetime NOT NULL  DEFAULT '0000-00-00 00:00:00' , 
	PRIMARY KEY (`id`) , 
	UNIQUE KEY `ipaddr`(`ipaddr`) 
) ENGINE=MyISAM DEFAULT CHARSET='utf8';



ALTER TABLE `@@DB_MAIN_PREFIX@@config` 
	ADD COLUMN `staff_ip_binding` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `enable_daylight_saving` , 
	ADD COLUMN `staff_max_logins` tinyint(3) unsigned   NOT NULL DEFAULT 4 after `staff_ip_binding` , 
	ADD COLUMN `staff_login_timeout` int(10) unsigned   NOT NULL DEFAULT 2 after `staff_max_logins` , 
	CHANGE `staff_session_timeout` `staff_session_timeout` int(10) unsigned   NOT NULL DEFAULT 30 after `staff_login_timeout` , 
	ADD COLUMN `client_max_logins` tinyint(3) unsigned   NOT NULL DEFAULT 4 after `staff_session_timeout` , 
	ADD COLUMN `client_login_timeout` int(10) unsigned   NOT NULL DEFAULT 2 after `client_max_logins` , 
	CHANGE `client_session_timeout` `client_session_timeout` int(10) unsigned   NOT NULL DEFAULT 30 after `client_login_timeout` , 
	CHANGE `max_page_size` `max_page_size` tinyint(3) unsigned   NOT NULL DEFAULT 25 after `client_session_timeout` , 
	CHANGE `max_open_tickets` `max_open_tickets` tinyint(3) unsigned   NOT NULL DEFAULT 0 after `max_page_size` , 
	CHANGE `max_file_size` `max_file_size` int(11) unsigned   NOT NULL DEFAULT 1048576 after `max_open_tickets` , 
	CHANGE `autolock_minutes` `autolock_minutes` tinyint(3) unsigned   NOT NULL DEFAULT 3 after `max_file_size` , 
	CHANGE `overdue_grace_period` `overdue_grace_period` int(10) unsigned   NOT NULL DEFAULT 0 after `autolock_minutes` , 
	ADD COLUMN `alert_email_id` tinyint(4) unsigned   NOT NULL DEFAULT 0 after `overdue_grace_period` , 
	ADD COLUMN `default_email_id` tinyint(4) unsigned   NOT NULL DEFAULT 0 after `alert_email_id` , 
	ADD COLUMN `default_dept_id` tinyint(3) unsigned   NOT NULL DEFAULT 0 after `default_email_id` , 
	ADD COLUMN `default_priority_id` tinyint(2) unsigned   NOT NULL DEFAULT 2 after `default_dept_id` , 
	ADD COLUMN `default_template_id` tinyint(4) unsigned   NOT NULL DEFAULT 1 after `default_priority_id` , 
	ADD COLUMN `default_smtp_id` tinyint(4) unsigned   NOT NULL DEFAULT 0 after `default_template_id` , 
	ADD COLUMN `spoof_default_smtp` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `default_smtp_id` , 
	CHANGE `clickable_urls` `clickable_urls` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `spoof_default_smtp` , 
	CHANGE `allow_priority_change` `allow_priority_change` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `clickable_urls` , 
	CHANGE `use_email_priority` `use_email_priority` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `allow_priority_change` , 
	ADD COLUMN `enable_captcha` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `use_email_priority` , 
	CHANGE `enable_auto_cron` `enable_auto_cron` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `enable_captcha` , 
	ADD COLUMN `enable_mail_fetch` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `enable_auto_cron` , 
	CHANGE `enable_email_piping` `enable_email_piping` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `enable_mail_fetch` , 
	CHANGE `send_sql_errors` `send_sql_errors` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `enable_email_piping` , 
	CHANGE `send_mailparse_errors` `send_mailparse_errors` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `send_sql_errors` , 
	CHANGE `send_login_errors` `send_login_errors` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `send_mailparse_errors` , 
	CHANGE `save_email_headers` `save_email_headers` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `send_login_errors` , 
	CHANGE `strip_quoted_reply` `strip_quoted_reply` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `save_email_headers` , 
	ADD COLUMN `log_ticket_activity` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `strip_quoted_reply` , 
	CHANGE `ticket_autoresponder` `ticket_autoresponder` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `log_ticket_activity` , 
	CHANGE `message_autoresponder` `message_autoresponder` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `ticket_autoresponder` , 
	ADD COLUMN `ticket_notice_active` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `message_autoresponder` , 
	CHANGE `ticket_alert_active` `ticket_alert_active` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `ticket_notice_active` , 
	CHANGE `ticket_alert_admin` `ticket_alert_admin` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `ticket_alert_active` , 
	CHANGE `ticket_alert_dept_manager` `ticket_alert_dept_manager` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `ticket_alert_admin` , 
	CHANGE `ticket_alert_dept_members` `ticket_alert_dept_members` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `ticket_alert_dept_manager` , 
	CHANGE `message_alert_active` `message_alert_active` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `ticket_alert_dept_members` , 
	CHANGE `message_alert_laststaff` `message_alert_laststaff` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `message_alert_active` , 
	CHANGE `message_alert_assigned` `message_alert_assigned` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `message_alert_laststaff` , 
	CHANGE `message_alert_dept_manager` `message_alert_dept_manager` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `message_alert_assigned` , 
	ADD COLUMN `note_alert_active` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `message_alert_dept_manager` , 
	ADD COLUMN `note_alert_laststaff` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `note_alert_active` , 
	ADD COLUMN `note_alert_assigned` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `note_alert_laststaff` , 
	ADD COLUMN `note_alert_dept_manager` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `note_alert_assigned` , 
	CHANGE `overdue_alert_active` `overdue_alert_active` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `note_alert_dept_manager` , 
	CHANGE `overdue_alert_assigned` `overdue_alert_assigned` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `overdue_alert_active` , 
	CHANGE `overdue_alert_dept_manager` `overdue_alert_dept_manager` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `overdue_alert_assigned` , 
	CHANGE `overdue_alert_dept_members` `overdue_alert_dept_members` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `overdue_alert_dept_manager` , 
	CHANGE `auto_assign_reopened_tickets` `auto_assign_reopened_tickets` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `overdue_alert_dept_members` , 
	CHANGE `show_assigned_tickets` `show_assigned_tickets` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `auto_assign_reopened_tickets` , 
	ADD COLUMN `show_answered_tickets` tinyint(1)   NOT NULL DEFAULT 0 after `show_assigned_tickets` , 
	ADD COLUMN `hide_staff_name` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `show_answered_tickets` , 
	CHANGE `overlimit_notice_active` `overlimit_notice_active` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `hide_staff_name` , 
	CHANGE `email_attachments` `email_attachments` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `overlimit_notice_active` , 
	CHANGE `allow_attachments` `allow_attachments` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `email_attachments` , 
	CHANGE `allow_email_attachments` `allow_email_attachments` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `allow_attachments` , 
	CHANGE `allow_online_attachments` `allow_online_attachments` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `allow_email_attachments` , 
	CHANGE `allow_online_attachments_onlogin` `allow_online_attachments_onlogin` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `allow_online_attachments` , 
	CHANGE `random_ticket_ids` `random_ticket_ids` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `allow_online_attachments_onlogin` , 
	ADD COLUMN `log_level` tinyint(1) unsigned   NOT NULL DEFAULT 2 after `random_ticket_ids` , 
	ADD COLUMN `log_graceperiod` int(10) unsigned   NOT NULL DEFAULT 12 after `log_level` , 
	CHANGE `upload_dir` `upload_dir` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `log_graceperiod` , 
	CHANGE `allowed_filetypes` `allowed_filetypes` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '.doc, .pdf' after `upload_dir` , 
	CHANGE `time_format` `time_format` varchar(32)  COLLATE utf8_general_ci NOT NULL DEFAULT ' h:i A' after `allowed_filetypes` , 
	CHANGE `date_format` `date_format` varchar(32)  COLLATE utf8_general_ci NOT NULL DEFAULT 'm/d/Y' after `time_format` , 
	CHANGE `datetime_format` `datetime_format` varchar(60)  COLLATE utf8_general_ci NOT NULL DEFAULT 'm/d/Y g:i a' after `date_format` , 
	CHANGE `daydatetime_format` `daydatetime_format` varchar(60)  COLLATE utf8_general_ci NOT NULL DEFAULT 'D, M j Y g:ia' after `datetime_format` , 
	CHANGE `reply_separator` `reply_separator` varchar(60)  COLLATE utf8_general_ci NOT NULL DEFAULT '-- do not edit --' after `daydatetime_format` , 
	CHANGE `admin_email` `admin_email` varchar(125)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `reply_separator` , 
	CHANGE `helpdesk_title` `helpdesk_title` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT 'osTicket Support Ticket System' after `admin_email` , 
	CHANGE `helpdesk_url` `helpdesk_url` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `helpdesk_title` , 
	ADD COLUMN `api_passphrase` varchar(125)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `helpdesk_url` , 
	CHANGE `ostversion` `ostversion` varchar(16)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `api_passphrase` , 
	CHANGE `updated` `updated` timestamp   NOT NULL DEFAULT CURRENT_TIMESTAMP after `ostversion` , 
	DROP COLUMN `alert_email` , 
	DROP COLUMN `default_email` , 
	DROP COLUMN `default_dept` , 
	DROP COLUMN `default_priority` , 
	DROP COLUMN `default_template` , 
	DROP COLUMN `noreply_email` , 
	DROP COLUMN `api_whitelist` , 
	DROP COLUMN `enable_pop3_fetch` , 
	DROP COLUMN `api_key` , DEFAULT CHARSET='utf8' ;


ALTER TABLE `@@DB_MAIN_PREFIX@@department` 
	ADD COLUMN `tpl_id` int(10) unsigned   NOT NULL DEFAULT 0 after `dept_id` , 
	CHANGE `email_id` `email_id` int(10) unsigned   NOT NULL DEFAULT 0 after `tpl_id` , 
	ADD COLUMN `autoresp_email_id` int(10) unsigned   NOT NULL DEFAULT 0 after `email_id` , 
	CHANGE `manager_id` `manager_id` int(10) unsigned   NOT NULL DEFAULT 0 after `autoresp_email_id` , 
	CHANGE `dept_name` `dept_name` varchar(32)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `manager_id` , 
	CHANGE `dept_signature` `dept_signature` tinytext  COLLATE utf8_general_ci NOT NULL after `dept_name` , 
	CHANGE `ispublic` `ispublic` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `dept_signature` , 
	CHANGE `ticket_auto_response` `ticket_auto_response` tinyint(1)   NOT NULL DEFAULT 1 after `ispublic` , 
	CHANGE `message_auto_response` `message_auto_response` tinyint(1)   NOT NULL DEFAULT 0 after `ticket_auto_response` , 
	CHANGE `can_append_signature` `can_append_signature` tinyint(1)   NOT NULL DEFAULT 1 after `message_auto_response` , 
	CHANGE `updated` `updated` datetime   NOT NULL DEFAULT '0000-00-00 00:00:00' after `can_append_signature` , 
	CHANGE `created` `created` datetime   NOT NULL DEFAULT '0000-00-00 00:00:00' after `updated` , 
	DROP COLUMN `noreply_autoresp` , 
	ADD KEY `autoresp_email_id`(`autoresp_email_id`) , 
	ADD KEY `tpl_id`(`tpl_id`) , DEFAULT CHARSET='utf8' ;


ALTER TABLE `@@DB_MAIN_PREFIX@@email` 
	CHANGE `priority_id` `priority_id` tinyint(3) unsigned   NOT NULL DEFAULT 2 after `noautoresp` , 
	CHANGE `email` `email` varchar(125)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `dept_id` , 
	CHANGE `name` `name` varchar(32)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `email` , 
	ADD COLUMN `userid` varchar(125)  COLLATE utf8_general_ci NOT NULL after `name` , 
	ADD COLUMN `userpass` varchar(125)  COLLATE utf8_general_ci NOT NULL after `userid` , 
	ADD COLUMN `mail_active` tinyint(1)   NOT NULL DEFAULT 0 after `userpass` , 
	ADD COLUMN `mail_host` varchar(125)  COLLATE utf8_general_ci NOT NULL after `mail_active` , 
	ADD COLUMN `mail_protocol` enum('POP','IMAP')  COLLATE utf8_general_ci NOT NULL DEFAULT 'POP' after `mail_host` , 
	ADD COLUMN `mail_encryption` enum('NONE','SSL')  COLLATE utf8_general_ci NOT NULL after `mail_protocol` , 
	ADD COLUMN `mail_port` int(6)   NULL after `mail_encryption` , 
	ADD COLUMN `mail_fetchfreq` tinyint(3)   NOT NULL DEFAULT 5 after `mail_port` , 
	ADD COLUMN `mail_fetchmax` tinyint(4)   NOT NULL DEFAULT 30 after `mail_fetchfreq` , 
	ADD COLUMN `mail_delete` tinyint(1)   NOT NULL DEFAULT 0 after `mail_fetchmax` , 
	ADD COLUMN `mail_errors` tinyint(3)   NOT NULL DEFAULT 0 after `mail_delete` , 
	ADD COLUMN `mail_lasterror` datetime   NULL after `mail_errors` , 
	ADD COLUMN `mail_lastfetch` datetime   NULL after `mail_lasterror` , 
	ADD COLUMN `smtp_active` tinyint(1)   NULL DEFAULT 0 after `mail_lastfetch` , 
	ADD COLUMN `smtp_host` varchar(125)  COLLATE utf8_general_ci NOT NULL after `smtp_active` , 
	ADD COLUMN `smtp_port` int(6)   NULL after `smtp_host` , 
	ADD COLUMN `smtp_secure` tinyint(1)   NOT NULL DEFAULT 1 after `smtp_port` , 
	ADD COLUMN `smtp_auth` tinyint(1)   NOT NULL DEFAULT 1 after `smtp_secure` , 
	CHANGE `created` `created` datetime   NOT NULL DEFAULT '0000-00-00 00:00:00' after `smtp_auth` , 
	CHANGE `updated` `updated` datetime   NOT NULL DEFAULT '0000-00-00 00:00:00' after `created` , DEFAULT CHARSET='utf8' ;


ALTER TABLE `@@DB_MAIN_PREFIX@@email_banlist` 
	CHANGE `email` `email` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `id` , 
	CHANGE `submitter` `submitter` varchar(126)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `email` , DEFAULT CHARSET='utf8' ;


ALTER TABLE `@@DB_MAIN_PREFIX@@email_template` 
	CHANGE `name` `name` varchar(32)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `cfg_id` , 
	ADD COLUMN `notes` text  COLLATE utf8_general_ci NULL after `name` , 
	CHANGE `ticket_autoresp_subj` `ticket_autoresp_subj` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `notes` , 
	CHANGE `ticket_autoresp_body` `ticket_autoresp_body` text  COLLATE utf8_general_ci NOT NULL after `ticket_autoresp_subj` , 
	ADD COLUMN `ticket_notice_subj` varchar(255)  COLLATE utf8_general_ci NOT NULL after `ticket_autoresp_body` , 
	ADD COLUMN `ticket_notice_body` text  COLLATE utf8_general_ci NOT NULL after `ticket_notice_subj` , 
	CHANGE `ticket_alert_subj` `ticket_alert_subj` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `ticket_notice_body` , 
	CHANGE `ticket_alert_body` `ticket_alert_body` text  COLLATE utf8_general_ci NOT NULL after `ticket_alert_subj` , 
	CHANGE `message_autoresp_subj` `message_autoresp_subj` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `ticket_alert_body` , 
	CHANGE `message_autoresp_body` `message_autoresp_body` text  COLLATE utf8_general_ci NOT NULL after `message_autoresp_subj` , 
	CHANGE `message_alert_subj` `message_alert_subj` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `message_autoresp_body` , 
	CHANGE `message_alert_body` `message_alert_body` text  COLLATE utf8_general_ci NOT NULL after `message_alert_subj` , 
	ADD COLUMN `note_alert_subj` varchar(255)  COLLATE utf8_general_ci NOT NULL after `message_alert_body` , 
	ADD COLUMN `note_alert_body` text  COLLATE utf8_general_ci NOT NULL after `note_alert_subj` , 
	CHANGE `assigned_alert_subj` `assigned_alert_subj` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `note_alert_body` , 
	CHANGE `assigned_alert_body` `assigned_alert_body` text  COLLATE utf8_general_ci NOT NULL after `assigned_alert_subj` , 
	CHANGE `ticket_overdue_subj` `ticket_overdue_subj` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `assigned_alert_body` , 
	CHANGE `ticket_overdue_body` `ticket_overdue_body` text  COLLATE utf8_general_ci NOT NULL after `ticket_overdue_subj` , 
	CHANGE `ticket_overlimit_subj` `ticket_overlimit_subj` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `ticket_overdue_body` , 
	CHANGE `ticket_overlimit_body` `ticket_overlimit_body` text  COLLATE utf8_general_ci NOT NULL after `ticket_overlimit_subj` , 
	CHANGE `ticket_reply_subj` `ticket_reply_subj` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `ticket_overlimit_body` , 
	CHANGE `ticket_reply_body` `ticket_reply_body` text  COLLATE utf8_general_ci NOT NULL after `ticket_reply_subj` , 
	CHANGE `created` `created` datetime   NOT NULL DEFAULT '0000-00-00 00:00:00' after `ticket_reply_body` , 
	CHANGE `updated` `updated` datetime   NOT NULL DEFAULT '0000-00-00 00:00:00' after `created` , DEFAULT CHARSET='utf8' ;


ALTER TABLE `@@DB_MAIN_PREFIX@@groups` 
	CHANGE `group_name` `group_name` varchar(50)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `group_enabled` , 
	CHANGE `dept_access` `dept_access` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `group_name` , 
	ADD COLUMN `can_create_tickets` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `dept_access` , 
	ADD COLUMN `can_edit_tickets` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `can_create_tickets` , 
	CHANGE `can_delete_tickets` `can_delete_tickets` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `can_edit_tickets` , 
	CHANGE `can_close_tickets` `can_close_tickets` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `can_delete_tickets` , 
	CHANGE `can_transfer_tickets` `can_transfer_tickets` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `can_close_tickets` , 
	CHANGE `can_ban_emails` `can_ban_emails` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `can_transfer_tickets` , 
	CHANGE `can_manage_kb` `can_manage_kb` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `can_ban_emails` , 
	CHANGE `created` `created` datetime   NOT NULL DEFAULT '0000-00-00 00:00:00' after `can_manage_kb` , 
	CHANGE `updated` `updated` datetime   NOT NULL DEFAULT '0000-00-00 00:00:00' after `created` , DEFAULT CHARSET='utf8' ;


ALTER TABLE `@@DB_MAIN_PREFIX@@help_topic` 
	CHANGE `topic` `topic` varchar(32)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `dept_id` , DEFAULT CHARSET='utf8' ;


ALTER TABLE `@@DB_MAIN_PREFIX@@kb_premade` 
	CHANGE `title` `title` varchar(125)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `isenabled` , 
	CHANGE `answer` `answer` text  COLLATE utf8_general_ci NOT NULL after `title` , DEFAULT CHARSET='utf8' ;


ALTER TABLE `@@DB_MAIN_PREFIX@@staff` 
	CHANGE `username` `username` varchar(32)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `dept_id` , 
	CHANGE `firstname` `firstname` varchar(32)  COLLATE utf8_general_ci NULL after `username` , 
	CHANGE `lastname` `lastname` varchar(32)  COLLATE utf8_general_ci NULL after `firstname` , 
	CHANGE `passwd` `passwd` varchar(128)  COLLATE utf8_general_ci NULL after `lastname` , 
	CHANGE `email` `email` varchar(128)  COLLATE utf8_general_ci NULL after `passwd` , 
	CHANGE `phone` `phone` varchar(24)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `email` , 
	CHANGE `phone_ext` `phone_ext` varchar(6)  COLLATE utf8_general_ci NULL after `phone` , 
	CHANGE `mobile` `mobile` varchar(24)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `phone_ext` , 
	CHANGE `signature` `signature` tinytext  COLLATE utf8_general_ci NOT NULL after `mobile` , 
	CHANGE `max_page_size` `max_page_size` int(11) unsigned   NOT NULL DEFAULT 0 after `timezone_offset` , 
	ADD COLUMN `auto_refresh_rate` int(10) unsigned   NOT NULL DEFAULT 0 after `max_page_size` , 
	CHANGE `created` `created` datetime   NOT NULL DEFAULT '0000-00-00 00:00:00' after `auto_refresh_rate` , 
	CHANGE `lastlogin` `lastlogin` datetime   NULL after `created` , 
	CHANGE `updated` `updated` datetime   NOT NULL DEFAULT '0000-00-00 00:00:00' after `lastlogin` , DEFAULT CHARSET='utf8' ;


CREATE TABLE `@@DB_MAIN_PREFIX@@syslog`(
	`log_id` int(11) unsigned NOT NULL  auto_increment , 
	`log_type` enum('Debug','Warning','Error') COLLATE utf8_general_ci NOT NULL  , 
	`title` varchar(255) COLLATE utf8_general_ci NOT NULL  , 
	`log` text COLLATE utf8_general_ci NOT NULL  , 
	`logger` varchar(64) COLLATE utf8_general_ci NOT NULL  , 
	`ip_address` varchar(16) COLLATE utf8_general_ci NOT NULL  , 
	`created` datetime NOT NULL  DEFAULT '0000-00-00 00:00:00' , 
	`updated` datetime NOT NULL  DEFAULT '0000-00-00 00:00:00' , 
	PRIMARY KEY (`log_id`) , 
	KEY `log_type`(`log_type`) 
) ENGINE=MyISAM DEFAULT CHARSET='utf8';



ALTER TABLE `@@DB_MAIN_PREFIX@@ticket` 
	ADD COLUMN `topic_id` int(10) unsigned   NOT NULL DEFAULT 0 after `priority_id` , 
	CHANGE `staff_id` `staff_id` int(10) unsigned   NOT NULL DEFAULT 0 after `topic_id` , 
	CHANGE `email` `email` varchar(120)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `staff_id` , 
	CHANGE `name` `name` varchar(32)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `email` , 
	CHANGE `subject` `subject` varchar(64)  COLLATE utf8_general_ci NOT NULL DEFAULT '[no subject]' after `name` , 
	ADD COLUMN `helptopic` varchar(255)  COLLATE utf8_general_ci NULL after `subject` , 
	CHANGE `phone` `phone` varchar(16)  COLLATE utf8_general_ci NULL after `helptopic` , 
	ADD COLUMN `phone_ext` varchar(8)  COLLATE utf8_general_ci NULL after `phone` , 
	CHANGE `ip_address` `ip_address` varchar(16)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `phone_ext` , 
	CHANGE `status` `status` enum('open','closed')  COLLATE utf8_general_ci NOT NULL DEFAULT 'open' after `ip_address` , 
	CHANGE `source` `source` enum('Web','Email','Phone','Other')  COLLATE utf8_general_ci NOT NULL DEFAULT 'Other' after `status` , 
	CHANGE `isoverdue` `isoverdue` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `source` , 
	ADD COLUMN `isanswered` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `isoverdue` , 
	ADD COLUMN `duedate` datetime   NULL after `isanswered` , 
	CHANGE `reopened` `reopened` datetime   NULL after `duedate` , 
	CHANGE `closed` `closed` datetime   NULL after `reopened` , 
	ADD COLUMN `lastmessage` datetime   NULL after `closed` , 
	ADD COLUMN `lastresponse` datetime   NULL after `lastmessage` , 
	CHANGE `created` `created` datetime   NOT NULL DEFAULT '0000-00-00 00:00:00' after `lastresponse` , 
	CHANGE `updated` `updated` datetime   NOT NULL DEFAULT '0000-00-00 00:00:00' after `created` , 
	ADD KEY `closed`(`closed`) , 
	ADD KEY `created`(`created`) , 
	ADD KEY `duedate`(`duedate`) , 
	ADD KEY `topic_id`(`topic_id`) , DEFAULT CHARSET='utf8' ;


ALTER TABLE `@@DB_MAIN_PREFIX@@ticket_attachment` 
	CHANGE `ref_type` `ref_type` enum('M','R')  COLLATE utf8_general_ci NOT NULL DEFAULT 'M' after `ref_id` , 
	CHANGE `file_size` `file_size` varchar(32)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `ref_type` , 
	CHANGE `file_name` `file_name` varchar(128)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `file_size` , 
	CHANGE `file_key` `file_key` varchar(128)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `file_name` , DEFAULT CHARSET='utf8' ;


ALTER TABLE `@@DB_MAIN_PREFIX@@ticket_message` 
	ADD COLUMN `messageId` varchar(255)  COLLATE utf8_general_ci NULL after `ticket_id` , 
	CHANGE `message` `message` text  COLLATE utf8_general_ci NOT NULL after `messageId` , 
	CHANGE `headers` `headers` text  COLLATE utf8_general_ci NULL after `message` , 
	CHANGE `source` `source` varchar(16)  COLLATE utf8_general_ci NULL after `headers` , 
	CHANGE `ip_address` `ip_address` varchar(16)  COLLATE utf8_general_ci NULL after `source` , 
	CHANGE `created` `created` datetime   NOT NULL DEFAULT '0000-00-00 00:00:00' after `ip_address` , 
	CHANGE `updated` `updated` datetime   NULL after `created` , 
	ADD FULLTEXT KEY `message`(`message`) , 
	ADD KEY `msgId`(`messageId`) , DEFAULT CHARSET='utf8' ;


ALTER TABLE `@@DB_MAIN_PREFIX@@ticket_note` 
	CHANGE `source` `source` varchar(32)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `staff_id` , 
	CHANGE `title` `title` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT 'Generic Intermal Notes' after `source` , 
	CHANGE `note` `note` text  COLLATE utf8_general_ci NOT NULL after `title` , 
	ADD FULLTEXT KEY `note`(`note`) , DEFAULT CHARSET='utf8' ;


ALTER TABLE `@@DB_MAIN_PREFIX@@ticket_priority` 
	CHANGE `priority` `priority` varchar(60)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `priority_id` , 
	CHANGE `priority_desc` `priority_desc` varchar(30)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `priority` , 
	CHANGE `priority_color` `priority_color` varchar(7)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `priority_desc` , DEFAULT CHARSET='utf8' ;


ALTER TABLE `@@DB_MAIN_PREFIX@@ticket_response` 
	CHANGE `staff_name` `staff_name` varchar(32)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `staff_id` , 
	CHANGE `response` `response` text  COLLATE utf8_general_ci NOT NULL after `staff_name` , 
	CHANGE `ip_address` `ip_address` varchar(16)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `response` , 
	ADD FULLTEXT KEY `response`(`response`) , DEFAULT CHARSET='utf8' ;


ALTER TABLE `@@DB_MAIN_PREFIX@@timezone` 
	CHANGE `timezone` `timezone` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `offset` , DEFAULT CHARSET='utf8' ;

	
	
INSERT INTO `@@DB_MAIN_PREFIX@@api_key` VALUES (1,1,'192.168.1.5','siri!',now(),now());


update `@@DB_MAIN_PREFIX@@config` set `id` = '1', `isonline` = '1', `timezone_offset` = '4.0', `enable_daylight_saving` = '0', `staff_ip_binding` = '1', `staff_max_logins` = '4', `staff_login_timeout` = '2', `staff_session_timeout` = '30', `client_max_logins` = '4', `client_login_timeout` = '2', `client_session_timeout` = '30', `max_page_size` = '25', `max_open_tickets` = '0', `max_file_size` = '1048576', `autolock_minutes` = '3', `overdue_grace_period` = '0', `alert_email_id` = '2', `default_email_id` = '1', `default_dept_id` = '1', `default_priority_id` = '2', `default_template_id` = '1', `default_smtp_id` = '0', `spoof_default_smtp` = '0', `clickable_urls` = '1', `allow_priority_change` = '0', `use_email_priority` = '0', `enable_captcha` = '0', `enable_auto_cron` = '0', `enable_mail_fetch` = '0', `enable_email_piping` = '0', `send_sql_errors` = '1', `send_mailparse_errors` = '1', `send_login_errors` = '1', `save_email_headers` = '1', `strip_quoted_reply` = '1', `log_ticket_activity` = '1', `ticket_autoresponder` = '0', `message_autoresponder` = '0', `ticket_notice_active` = '0', `ticket_alert_active` = '0', `ticket_alert_admin` = '1', `ticket_alert_dept_manager` = '1', `ticket_alert_dept_members` = '0', `message_alert_active` = '0', `message_alert_laststaff` = '1', `message_alert_assigned` = '1', `message_alert_dept_manager` = '0', `note_alert_active` = '0', `note_alert_laststaff` = '1', `note_alert_assigned` = '1', `note_alert_dept_manager` = '0', `overdue_alert_active` = '0', `overdue_alert_assigned` = '1', `overdue_alert_dept_manager` = '1', `overdue_alert_dept_members` = '0', `auto_assign_reopened_tickets` = '1', `show_assigned_tickets` = '0', `show_answered_tickets` = '0', `hide_staff_name` = '0', `overlimit_notice_active` = '0', `email_attachments` = '1', `allow_attachments` = '0', `allow_email_attachments` = '0', `allow_online_attachments` = '0', `allow_online_attachments_onlogin` = '0', `random_ticket_ids` = '1', `log_level` = '2', `log_graceperiod` = '12', `upload_dir` = '@@ROOT_DIR@@/attachments', `allowed_filetypes` = '.doc, .pdf', `time_format` = ' h:i A', `date_format` = 'm/d/Y', `datetime_format` = 'm/d/Y g:i a', `daydatetime_format` = 'D, M j Y g:ia', `reply_separator` = '-- do not edit --', `admin_email` = '@@ADMIN_EMAIL@@', `helpdesk_title` = '@@TITLE@@', `helpdesk_url` = '@@ROOT_URL@@/', `api_passphrase` = '', `ostversion` = '1.6 ST', `updated` = now() where `id` = '1';	
	
insert into `@@DB_MAIN_PREFIX@@department` values('2', '0', '1', '0', '0', 'Billing', 'Billing Dept', '1', '1', '1', '1', now(), now());

update `@@DB_MAIN_PREFIX@@department` set `dept_id` = '1', `tpl_id` = '0', `email_id` = '1', `autoresp_email_id` = '0', `manager_id` = '0', `dept_name` = 'Support', `dept_signature` = 'Support Dept', `ispublic` = '1', `ticket_auto_response` = '1', `message_auto_response` = '1', `can_append_signature` = '1', `updated` = now(), `created` = now() where `dept_id` = '1';


insert into `@@DB_MAIN_PREFIX@@email` values('2', '0', '1', '1', 'alerts@yourdomain.com', 'osTicket Alerts', '', '', '0', '', 'POP', 'NONE', NULL, '5', '30', '0', '0', NULL, NULL, '0', '', NULL, '1', '1', now(), now());

insert into `@@DB_MAIN_PREFIX@@email` values('3', '0', '1', '1', 'noreply@yourdomain.com', '', '', '', '0', '', 'POP', 'NONE', NULL, '5', '30', '0', '0', NULL, NULL, '0', '', NULL, '1', '1', now(), now());

update `@@DB_MAIN_PREFIX@@email` set `email_id` = '1', `noautoresp` = '0', `priority_id` = '2', `dept_id` = '1', `email` = 'upport@yourdomain.com', `name` = 'Support', `userid` = '', `userpass` = '', `mail_active` = '0', `mail_host` = '', `mail_protocol` = 'POP', `mail_encryption` = 'NONE', `mail_port` = NULL, `mail_fetchfreq` = '5', `mail_fetchmax` = '30', `mail_delete` = '0', `mail_errors` = '0', `mail_lasterror` = NULL, `mail_lastfetch` = NULL, `smtp_active` = '0', `smtp_host` = '', `smtp_port` = NULL, `smtp_secure` = '1', `smtp_auth` = '1', `created` = now(), `updated` = now() where `email_id` = '1';

update `@@DB_MAIN_PREFIX@@email_template` set `tpl_id` = '1', `cfg_id` = '1', `name` = 'osTicket Default Template', `notes` = 'Default osTicket templates', `ticket_autoresp_subj` = 'Support Ticket Opened [#%ticket]', `ticket_autoresp_body` = '%name,\r\n\r\nA request for support has been created and assigned ticket #%ticket. A representative will follow-up with you as soon as possible.\r\n\r\nYou can view this ticket\'s progress online here: %url/view.php?e=%email&t=%ticket.\r\n\r\nIf you wish to send additional comments or information regarding this issue, please don\'t open a new ticket. Simply login using the link above and update the ticket.\r\n\r\n%signature', `ticket_notice_subj` = '[#%ticket] %subject', `ticket_notice_body` = '%name,\r\n\r\nOur customer care team has created a ticket, #%ticket on your behalf, with the following message.\r\n\r\n%message\r\n\r\nIf you wish to provide additional comments or information regarding this issue, please don\'t open a new ticket. You can update or view this ticket\'s progress online here: %url/view.php?e=%email&t=%ticket.\r\n\r\n%signature', `ticket_alert_subj` = 'New Ticket Alert', `ticket_alert_body` = '%staff,\r\n\r\nNew ticket #%ticket created.\r\n-------------------\r\nName: %name\r\nEmail: %email\r\nDept: %dept\r\n\r\n%message\r\n-------------------\r\n\r\nTo view/respond to the ticket, please login to the support ticket system.\r\n\r\n- Your friendly Customer Support System - powered by osTicket.', `message_autoresp_subj` = '[#%ticket] Message Added', `message_autoresp_body` = '%name,\r\n\r\nYour reply to support request #%ticket has been noted.\r\n\r\nYou can view this support request progress online here: %url/view.php?e=%email&t=%ticket.\r\n\r\n%signature', `message_alert_subj` = 'New Message Alert', `message_alert_body` = '%staff,\r\n\r\nNew message appended to ticket #%ticket\r\n\r\n----------------------\r\nName: %name\r\nEmail: %email\r\nDept: %dept\r\n\r\n%message\r\n-------------------\r\n\r\nTo view/respond to the ticket, please login to the support ticket system.\r\n\r\n- Your friendly Customer Support System - powered by osTicket.', `note_alert_subj` = 'New Internal Note Alert', `note_alert_body` = '%staff,\r\n\r\nInternal note appended to ticket #%ticket\r\n\r\n----------------------\r\nName: %name\r\n\r\n%note\r\n-------------------\r\n\r\nTo view/respond to the ticket, please login to the support ticket system.\r\n\r\n- Your friendly Customer Support System - powered by osTicket.', `assigned_alert_subj` = 'Ticket #%ticket Assigned to you', `assigned_alert_body` = '%assignee,\r\n\r\n%assigner has assigned ticket #%ticket to you!\r\n\r\n%message\r\n\r\nTo view complete details, simply login to the support system.\r\n\r\n- Your friendly Support Ticket System - powered by osTicket.', `ticket_overdue_subj` = 'Stale Ticket Alert', `ticket_overdue_body` = '%staff,\r\n\r\nA ticket, #%ticket assigned to you or in your department is seriously overdue.\r\n\r\n%url/scp/tickets.php?id=%id\r\n\r\nWe should all work hard to guarantee that all tickets are being addressed in a timely manner. Enough baby talk...please address the issue or you will hear from me again.\r\n\r\n\r\n- Your friendly (although with limited patience) Support Ticket System - powered by osTicket.', `ticket_overlimit_subj` = 'Support Ticket Denied', `ticket_overlimit_body` = '%name\r\n\r\nNo support ticket has been created. You\'ve exceeded maximum number of open tickets allowed.\r\n\r\nThis is a temporary block. To be able to open another ticket, one of your pending tickets must be closed. To update or add comments to an open ticket simply login using the link below.\r\n\r\n%url/view.php?e=%email\r\n\r\nThank you.\r\n\r\nSupport Ticket System', `ticket_reply_subj` = '[#%ticket] %subject', `ticket_reply_body` = '%name,\r\n\r\nA customer support staff member has replied to your support request, #%ticket with the following response:\r\n\r\n%response\r\n\r\nWe hope this response has sufficiently answered your questions. If not, please do not send another email. Instead, reply to this email or login to your account for a complete archive of all your support requests and responses.\r\n\r\n%url/view.php?e=%email&t=%ticket\r\n\r\n%signature', `created` = now(), `updated` = now() where `tpl_id` = '1';

update `@@DB_MAIN_PREFIX@@groups` set `group_id` = '2', `group_enabled` = '1', `group_name` = 'Managers', `dept_access` = '1', `can_create_tickets` = '1', `can_edit_tickets` = '1', `can_delete_tickets` = '0', `can_close_tickets` = '1', `can_transfer_tickets` = '1', `can_ban_emails` = '1', `can_manage_kb` = '1', `created` = now(), `updated` = now() where `group_id` = '2';

update `@@DB_MAIN_PREFIX@@groups` set `group_id` = '3', `group_enabled` = '1', `group_name` = 'Staff', `dept_access` = '1', `can_create_tickets` = '1', `can_edit_tickets` = '0', `can_delete_tickets` = '0', `can_close_tickets` = '0', `can_transfer_tickets` = '0', `can_ban_emails` = '0', `can_manage_kb` = '0', `created` = now(), `updated` = now() where `group_id` = '3';

update `@@DB_MAIN_PREFIX@@groups` set `group_id` = '1', `group_enabled` = '1', `group_name` = 'Admins', `dept_access` = '1', `can_create_tickets` = '1', `can_edit_tickets` = '1', `can_delete_tickets` = '1', `can_close_tickets` = '1', `can_transfer_tickets` = '1', `can_ban_emails` = '1', `can_manage_kb` = '1', `created` = now(), `updated` = now() where `group_id` = '1';

insert into `@@DB_MAIN_PREFIX@@kb_premade` values('2', '0', '1', 'Sample (with variables)', '\r\n%name,\r\n\r\nYour ticket #%ticket created on %createdate is in %dept department.\r\n\r\n', now(), now());

update `@@DB_MAIN_PREFIX@@kb_premade` set `premade_id` = '1', `dept_id` = '0', `isenabled` = '1', `title` = 'What is osTicket (sample)?', `answer` = '\r\nosTicket is a widely-used open source support ticket system, an attractive alternative to higher-cost and complex customer support systems - simple, lightweight, reliable, open source, web-based and easy to setup and use.', `created` = now(), `updated` = now() where `premade_id` = '1';

update `@@DB_MAIN_PREFIX@@staff` set `staff_id` = '1', `group_id` = '1', `dept_id` = '1', `username` = '@@ADMIN_NAME@@', `firstname` = 'Admin', `lastname` = 'Admin', `passwd` = '@@ADMIN_PASSWORD@@', `email` = '@@ADMIN_EMAIL@@', `phone` = '', `phone_ext` = NULL, `mobile` = '', `signature` = '', `isactive` = '1', `isadmin` = '1', `isvisible` = '1', `onvacation` = '0', `daylight_saving` = '0', `append_signature` = '0', `change_passwd` = '0', `timezone_offset` = '4.0', `max_page_size` = '0', `auto_refresh_rate` = '0', `created` = now(), `lastlogin` = NULL, `updated` = '0000-00-00 00:00:00' where `staff_id` = '1';

insert into `@@DB_MAIN_PREFIX@@syslog` values('1', 'Debug', 'osTicket installed!', 'Congratulations osTicket basic installation completed!\n\nThank you for choosing osTicket!', '', '10.30.19.127', now(), now());

update `@@DB_MAIN_PREFIX@@ticket` set `ticket_id` = '1', `ticketID` = '963871', `dept_id` = '1', `priority_id` = '2', `topic_id` = '0', `staff_id` = '0', `email` = 'support@osticket.com', `name` = 'osTicket Support', `subject` = 'osTicket Installed!', `helptopic` = 'Commercial support', `phone` = NULL, `phone_ext` = NULL, `ip_address` = '', `status` = 'open', `source` = 'Web', `isoverdue` = '0', `isanswered` = '0', `duedate` = NULL, `reopened` = NULL, `closed` = NULL, `lastmessage` = NULL, `lastresponse` = NULL, `created` = now(), `updated` = '0000-00-00 00:00:00' where `ticket_id` = '1';

update `@@DB_MAIN_PREFIX@@ticket_message` set `msg_id` = '1', `ticket_id` = '1', `messageId` = NULL, `message` = 'Thank you for choosing osTicket.\n\nPlease make sure you join the osTicket forums at http://osticket.com/forums to stay up to date on the latest news, security alerts and updates. The osTicket forums are also a great place to get assistance, guidance, tips, and help from other osTicket users. In addition to the forums, the osTicket wiki provides a useful collection of educational materials, documentation, and notes from the community. We welcome your contributions to the osTicket community.\n\nIf you are looking for a greater level of support, we provide professional services and commercial support with guaranteed response times, and access to the core development team. We can also help customize osTicket or even add new features to the system to meet your unique needs.\n\nFor more information or to discuss your needs, please contact us today at http://osticket.com/support/. Your feedback is greatly appreciated!\n\n- The osTicket Team', `headers` = NULL, `source` = 'Web', `ip_address` = '', `created` = now(), `updated` = NULL where `msg_id` = '1';

	