
ALTER TABLE `@@DB_MAIN_PREFIX@@api_key` 
	CHANGE `ipaddr` `ipaddr` varchar(64)  COLLATE utf8_general_ci NOT NULL after `isactive` , 
	ADD COLUMN `can_create_tickets` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `apikey` , 
	ADD COLUMN `can_exec_cron` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `can_create_tickets` , 
	ADD COLUMN `notes` text  COLLATE utf8_general_ci NULL after `can_exec_cron` , 
	CHANGE `updated` `updated` datetime   NOT NULL after `notes` , 
	CHANGE `created` `created` datetime   NOT NULL after `updated` , 
	ADD UNIQUE KEY `apikey`(`apikey`) , 
	DROP KEY `ipaddr`, ADD KEY `ipaddr`(`ipaddr`) ;

CREATE TABLE `@@DB_MAIN_PREFIX@@canned_attachment`(
	`canned_id` int(10) unsigned NOT NULL  , 
	`file_id` int(10) unsigned NOT NULL  , 
	PRIMARY KEY (`canned_id`,`file_id`) 
) ENGINE=MyISAM DEFAULT CHARSET='utf8';

CREATE TABLE `@@DB_MAIN_PREFIX@@canned_response`(
	`canned_id` int(10) unsigned NOT NULL  auto_increment , 
	`dept_id` int(10) unsigned NOT NULL  DEFAULT 0 , 
	`isenabled` tinyint(1) unsigned NOT NULL  DEFAULT 1 , 
	`title` varchar(255) COLLATE utf8_general_ci NOT NULL  DEFAULT '' , 
	`response` text COLLATE utf8_general_ci NOT NULL  , 
	`notes` text COLLATE utf8_general_ci NULL  , 
	`created` datetime NOT NULL  , 
	`updated` datetime NOT NULL  , 
	PRIMARY KEY (`canned_id`) , 
	UNIQUE KEY `title`(`title`) , 
	KEY `dept_id`(`dept_id`) , 
	KEY `active`(`isenabled`) , 
	FULLTEXT KEY `resp`(`title`,`response`) 
) ENGINE=MyISAM DEFAULT CHARSET='utf8';

ALTER TABLE `@@DB_MAIN_PREFIX@@config` 
	ADD COLUMN `passwd_reset_period` int(10) unsigned   NOT NULL DEFAULT 0 after `staff_session_timeout` , 
	CHANGE `client_max_logins` `client_max_logins` tinyint(3) unsigned   NOT NULL DEFAULT 4 after `passwd_reset_period` , 
	CHANGE `client_login_timeout` `client_login_timeout` int(10) unsigned   NOT NULL DEFAULT 2 after `client_max_logins` , 
	CHANGE `client_session_timeout` `client_session_timeout` int(10) unsigned   NOT NULL DEFAULT 30 after `client_login_timeout` , 
	CHANGE `max_page_size` `max_page_size` tinyint(3) unsigned   NOT NULL DEFAULT 25 after `client_session_timeout` , 
	CHANGE `max_open_tickets` `max_open_tickets` tinyint(3) unsigned   NOT NULL DEFAULT 0 after `max_page_size` , 
	CHANGE `max_file_size` `max_file_size` int(11) unsigned   NOT NULL DEFAULT 1048576 after `max_open_tickets` , 
	ADD COLUMN `max_user_file_uploads` tinyint(3) unsigned   NOT NULL after `max_file_size` , 
	ADD COLUMN `max_staff_file_uploads` tinyint(3) unsigned   NOT NULL after `max_user_file_uploads` , 
	CHANGE `autolock_minutes` `autolock_minutes` tinyint(3) unsigned   NOT NULL DEFAULT 3 after `max_staff_file_uploads` , 
	CHANGE `overdue_grace_period` `overdue_grace_period` int(10) unsigned   NOT NULL DEFAULT 0 after `autolock_minutes` , 
	CHANGE `alert_email_id` `alert_email_id` tinyint(4) unsigned   NOT NULL DEFAULT 0 after `overdue_grace_period` , 
	CHANGE `default_email_id` `default_email_id` tinyint(4) unsigned   NOT NULL DEFAULT 0 after `alert_email_id` , 
	CHANGE `default_dept_id` `default_dept_id` tinyint(3) unsigned   NOT NULL DEFAULT 0 after `default_email_id` , 
	ADD COLUMN `default_sla_id` int(10) unsigned   NOT NULL DEFAULT 0 after `default_dept_id` , 
	CHANGE `default_priority_id` `default_priority_id` tinyint(2) unsigned   NOT NULL DEFAULT 2 after `default_sla_id` , 
	CHANGE `default_template_id` `default_template_id` tinyint(4) unsigned   NOT NULL DEFAULT 1 after `default_priority_id` , 
	ADD COLUMN `default_timezone_id` int(10) unsigned   NOT NULL DEFAULT 0 after `default_template_id` , 
	CHANGE `default_smtp_id` `default_smtp_id` tinyint(4) unsigned   NOT NULL DEFAULT 0 after `default_timezone_id` , 
	ADD COLUMN `allow_email_spoofing` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `default_smtp_id` , 
	CHANGE `clickable_urls` `clickable_urls` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `allow_email_spoofing` , 
	CHANGE `allow_priority_change` `allow_priority_change` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `clickable_urls` , 
	CHANGE `use_email_priority` `use_email_priority` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `allow_priority_change` , 
	ADD COLUMN `enable_kb` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `use_email_priority` , 
	ADD COLUMN `enable_premade` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `enable_kb` , 
	CHANGE `enable_captcha` `enable_captcha` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `enable_premade` , 
	CHANGE `enable_auto_cron` `enable_auto_cron` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `enable_captcha` , 
	ADD COLUMN `enable_mail_polling` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `enable_auto_cron` , 
	ADD COLUMN `send_sys_errors` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `enable_mail_polling` , 
	CHANGE `send_sql_errors` `send_sql_errors` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `send_sys_errors` , 
	CHANGE `send_mailparse_errors` `send_mailparse_errors` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `send_sql_errors` , 
	CHANGE `send_login_errors` `send_login_errors` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `send_mailparse_errors` , 
	CHANGE `save_email_headers` `save_email_headers` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `send_login_errors` , 
	CHANGE `strip_quoted_reply` `strip_quoted_reply` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `save_email_headers` , 
	CHANGE `log_ticket_activity` `log_ticket_activity` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `strip_quoted_reply` , 
	CHANGE `ticket_autoresponder` `ticket_autoresponder` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `log_ticket_activity` , 
	CHANGE `message_autoresponder` `message_autoresponder` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `ticket_autoresponder` , 
	CHANGE `ticket_notice_active` `ticket_notice_active` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `message_autoresponder` , 
	CHANGE `ticket_alert_active` `ticket_alert_active` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `ticket_notice_active` , 
	CHANGE `ticket_alert_admin` `ticket_alert_admin` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `ticket_alert_active` , 
	CHANGE `ticket_alert_dept_manager` `ticket_alert_dept_manager` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `ticket_alert_admin` , 
	CHANGE `ticket_alert_dept_members` `ticket_alert_dept_members` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `ticket_alert_dept_manager` , 
	CHANGE `message_alert_active` `message_alert_active` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `ticket_alert_dept_members` , 
	CHANGE `message_alert_laststaff` `message_alert_laststaff` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `message_alert_active` , 
	CHANGE `message_alert_assigned` `message_alert_assigned` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `message_alert_laststaff` , 
	CHANGE `message_alert_dept_manager` `message_alert_dept_manager` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `message_alert_assigned` , 
	CHANGE `note_alert_active` `note_alert_active` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `message_alert_dept_manager` , 
	CHANGE `note_alert_laststaff` `note_alert_laststaff` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `note_alert_active` , 
	CHANGE `note_alert_assigned` `note_alert_assigned` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `note_alert_laststaff` , 
	CHANGE `note_alert_dept_manager` `note_alert_dept_manager` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `note_alert_assigned` , 
	ADD COLUMN `transfer_alert_active` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `note_alert_dept_manager` , 
	ADD COLUMN `transfer_alert_assigned` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `transfer_alert_active` , 
	ADD COLUMN `transfer_alert_dept_manager` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `transfer_alert_assigned` , 
	ADD COLUMN `transfer_alert_dept_members` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `transfer_alert_dept_manager` , 
	CHANGE `overdue_alert_active` `overdue_alert_active` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `transfer_alert_dept_members` , 
	CHANGE `overdue_alert_assigned` `overdue_alert_assigned` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `overdue_alert_active` , 
	CHANGE `overdue_alert_dept_manager` `overdue_alert_dept_manager` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `overdue_alert_assigned` , 
	CHANGE `overdue_alert_dept_members` `overdue_alert_dept_members` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `overdue_alert_dept_manager` , 
	ADD COLUMN `assigned_alert_active` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `overdue_alert_dept_members` , 
	ADD COLUMN `assigned_alert_staff` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `assigned_alert_active` , 
	ADD COLUMN `assigned_alert_team_lead` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `assigned_alert_staff` , 
	ADD COLUMN `assigned_alert_team_members` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `assigned_alert_team_lead` , 
	CHANGE `auto_assign_reopened_tickets` `auto_assign_reopened_tickets` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `assigned_alert_team_members` , 
	ADD COLUMN `show_related_tickets` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `auto_assign_reopened_tickets` , 
	CHANGE `show_assigned_tickets` `show_assigned_tickets` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `show_related_tickets` , 
	CHANGE `show_answered_tickets` `show_answered_tickets` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `show_assigned_tickets` , 
	ADD COLUMN `show_notes_inline` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `show_answered_tickets` , 
	CHANGE `hide_staff_name` `hide_staff_name` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `show_notes_inline` , 
	CHANGE `overlimit_notice_active` `overlimit_notice_active` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `hide_staff_name` , 
	CHANGE `email_attachments` `email_attachments` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `overlimit_notice_active` , 
	CHANGE `allow_attachments` `allow_attachments` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `email_attachments` , 
	CHANGE `allow_email_attachments` `allow_email_attachments` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `allow_attachments` , 
	CHANGE `allow_online_attachments` `allow_online_attachments` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `allow_email_attachments` , 
	CHANGE `allow_online_attachments_onlogin` `allow_online_attachments_onlogin` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `allow_online_attachments` , 
	CHANGE `random_ticket_ids` `random_ticket_ids` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `allow_online_attachments_onlogin` , 
	CHANGE `log_level` `log_level` tinyint(1) unsigned   NOT NULL DEFAULT 2 after `random_ticket_ids` , 
	CHANGE `log_graceperiod` `log_graceperiod` int(10) unsigned   NOT NULL DEFAULT 12 after `log_level` , 
	CHANGE `upload_dir` `upload_dir` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `log_graceperiod` , 
	CHANGE `allowed_filetypes` `allowed_filetypes` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '.doc, .pdf' after `upload_dir` , 
	CHANGE `time_format` `time_format` varchar(32)  COLLATE utf8_general_ci NOT NULL DEFAULT ' h:i A' after `allowed_filetypes` , 
	CHANGE `date_format` `date_format` varchar(32)  COLLATE utf8_general_ci NOT NULL DEFAULT 'm/d/Y' after `time_format` , 
	CHANGE `datetime_format` `datetime_format` varchar(60)  COLLATE utf8_general_ci NOT NULL DEFAULT 'm/d/Y g:i a' after `date_format` , 
	CHANGE `daydatetime_format` `daydatetime_format` varchar(60)  COLLATE utf8_general_ci NOT NULL DEFAULT 'D, M j Y g:ia' after `datetime_format` , 
	CHANGE `reply_separator` `reply_separator` varchar(60)  COLLATE utf8_general_ci NOT NULL DEFAULT '-- do not edit --' after `daydatetime_format` , 
	CHANGE `admin_email` `admin_email` varchar(125)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `reply_separator` , 
	CHANGE `helpdesk_title` `helpdesk_title` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT 'osTicket Support Ticket System' after `admin_email` , 
	CHANGE `helpdesk_url` `helpdesk_url` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `helpdesk_title` , 
	ADD COLUMN `schema_signature` char(32)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `helpdesk_url` , 
	CHANGE `updated` `updated` timestamp   NOT NULL DEFAULT CURRENT_TIMESTAMP after `schema_signature` , 
	DROP COLUMN `spoof_default_smtp` , 
	DROP COLUMN `enable_email_piping` , 
	DROP COLUMN `enable_mail_fetch` , 
	DROP COLUMN `api_passphrase` , 
	DROP COLUMN `ostversion` ;

ALTER TABLE `@@DB_MAIN_PREFIX@@department` 
	ADD COLUMN `sla_id` int(10) unsigned   NOT NULL DEFAULT 0 after `tpl_id` , 
	CHANGE `email_id` `email_id` int(10) unsigned   NOT NULL DEFAULT 0 after `sla_id` , 
	CHANGE `autoresp_email_id` `autoresp_email_id` int(10) unsigned   NOT NULL DEFAULT 0 after `email_id` , 
	CHANGE `manager_id` `manager_id` int(10) unsigned   NOT NULL DEFAULT 0 after `autoresp_email_id` , 
	CHANGE `dept_name` `dept_name` varchar(128)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `manager_id` , 
	CHANGE `dept_signature` `dept_signature` tinytext  COLLATE utf8_general_ci NOT NULL after `dept_name` , 
	CHANGE `ispublic` `ispublic` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `dept_signature` , 
	ADD COLUMN `group_membership` tinyint(1)   NOT NULL DEFAULT 0 after `ispublic` , 
	CHANGE `ticket_auto_response` `ticket_auto_response` tinyint(1)   NOT NULL DEFAULT 1 after `group_membership` , 
	CHANGE `message_auto_response` `message_auto_response` tinyint(1)   NOT NULL DEFAULT 0 after `ticket_auto_response` , 
	CHANGE `updated` `updated` datetime   NOT NULL after `message_auto_response` , 
	CHANGE `created` `created` datetime   NOT NULL after `updated` , 
	DROP COLUMN `can_append_signature` ;

ALTER TABLE `@@DB_MAIN_PREFIX@@email` 
	CHANGE `email` `email` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `dept_id` , 
	CHANGE `name` `name` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `email` , 
	CHANGE `userid` `userid` varchar(255)  COLLATE utf8_general_ci NOT NULL after `name` , 
	CHANGE `mail_host` `mail_host` varchar(255)  COLLATE utf8_general_ci NOT NULL after `mail_active` , 
	ADD COLUMN `mail_archivefolder` varchar(255)  COLLATE utf8_general_ci NULL after `mail_fetchmax` , 
	CHANGE `mail_delete` `mail_delete` tinyint(1)   NOT NULL DEFAULT 0 after `mail_archivefolder` , 
	CHANGE `mail_errors` `mail_errors` tinyint(3)   NOT NULL DEFAULT 0 after `mail_delete` , 
	CHANGE `mail_lasterror` `mail_lasterror` datetime   NULL after `mail_errors` , 
	CHANGE `mail_lastfetch` `mail_lastfetch` datetime   NULL after `mail_lasterror` , 
	CHANGE `smtp_active` `smtp_active` tinyint(1)   NULL DEFAULT 0 after `mail_lastfetch` , 
	CHANGE `smtp_host` `smtp_host` varchar(255)  COLLATE utf8_general_ci NOT NULL after `smtp_active` , 
	CHANGE `smtp_port` `smtp_port` int(6)   NULL after `smtp_host` , 
	CHANGE `smtp_secure` `smtp_secure` tinyint(1)   NOT NULL DEFAULT 1 after `smtp_port` , 
	CHANGE `smtp_auth` `smtp_auth` tinyint(1)   NOT NULL DEFAULT 1 after `smtp_secure` , 
	ADD COLUMN `smtp_spoofing` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `smtp_auth` , 
	ADD COLUMN `notes` text  COLLATE utf8_general_ci NULL after `smtp_spoofing` , 
	CHANGE `created` `created` datetime   NOT NULL after `notes` , 
	CHANGE `updated` `updated` datetime   NOT NULL after `created` ;

DROP TABLE `@@DB_MAIN_PREFIX@@email_banlist`;

ALTER TABLE `@@DB_MAIN_PREFIX@@email_template` 
	ADD COLUMN `isactive` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `cfg_id` , 
	CHANGE `name` `name` varchar(32)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `isactive` , 
	CHANGE `notes` `notes` text  COLLATE utf8_general_ci NULL after `name` , 
	CHANGE `ticket_autoresp_subj` `ticket_autoresp_subj` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `notes` , 
	CHANGE `ticket_autoresp_body` `ticket_autoresp_body` text  COLLATE utf8_general_ci NOT NULL after `ticket_autoresp_subj` , 
	ADD COLUMN `ticket_autoreply_subj` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `ticket_autoresp_body` , 
	ADD COLUMN `ticket_autoreply_body` text  COLLATE utf8_general_ci NOT NULL after `ticket_autoreply_subj` , 
	CHANGE `ticket_notice_subj` `ticket_notice_subj` varchar(255)  COLLATE utf8_general_ci NOT NULL after `ticket_autoreply_body` , 
	CHANGE `ticket_notice_body` `ticket_notice_body` text  COLLATE utf8_general_ci NOT NULL after `ticket_notice_subj` , 
	CHANGE `ticket_alert_subj` `ticket_alert_subj` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `ticket_notice_body` , 
	CHANGE `ticket_alert_body` `ticket_alert_body` text  COLLATE utf8_general_ci NOT NULL after `ticket_alert_subj` , 
	CHANGE `message_autoresp_subj` `message_autoresp_subj` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `ticket_alert_body` , 
	CHANGE `message_autoresp_body` `message_autoresp_body` text  COLLATE utf8_general_ci NOT NULL after `message_autoresp_subj` , 
	CHANGE `message_alert_subj` `message_alert_subj` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `message_autoresp_body` , 
	CHANGE `message_alert_body` `message_alert_body` text  COLLATE utf8_general_ci NOT NULL after `message_alert_subj` , 
	CHANGE `note_alert_subj` `note_alert_subj` varchar(255)  COLLATE utf8_general_ci NOT NULL after `message_alert_body` , 
	CHANGE `note_alert_body` `note_alert_body` text  COLLATE utf8_general_ci NOT NULL after `note_alert_subj` , 
	CHANGE `assigned_alert_subj` `assigned_alert_subj` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `note_alert_body` , 
	CHANGE `assigned_alert_body` `assigned_alert_body` text  COLLATE utf8_general_ci NOT NULL after `assigned_alert_subj` , 
	ADD COLUMN `transfer_alert_subj` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `assigned_alert_body` , 
	ADD COLUMN `transfer_alert_body` text  COLLATE utf8_general_ci NOT NULL after `transfer_alert_subj` , 
	CHANGE `ticket_overdue_subj` `ticket_overdue_subj` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `transfer_alert_body` , 
	CHANGE `ticket_overdue_body` `ticket_overdue_body` text  COLLATE utf8_general_ci NOT NULL after `ticket_overdue_subj` , 
	CHANGE `ticket_overlimit_subj` `ticket_overlimit_subj` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `ticket_overdue_body` , 
	CHANGE `ticket_overlimit_body` `ticket_overlimit_body` text  COLLATE utf8_general_ci NOT NULL after `ticket_overlimit_subj` , 
	CHANGE `ticket_reply_subj` `ticket_reply_subj` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `ticket_overlimit_body` , 
	CHANGE `ticket_reply_body` `ticket_reply_body` text  COLLATE utf8_general_ci NOT NULL after `ticket_reply_subj` , 
	CHANGE `created` `created` datetime   NOT NULL after `ticket_reply_body` , 
	CHANGE `updated` `updated` datetime   NOT NULL after `created` ;

CREATE TABLE `@@DB_MAIN_PREFIX@@faq`(
	`faq_id` int(10) unsigned NOT NULL  auto_increment , 
	`category_id` int(10) unsigned NOT NULL  DEFAULT 0 , 
	`ispublished` tinyint(1) unsigned NOT NULL  DEFAULT 0 , 
	`question` varchar(255) COLLATE utf8_general_ci NOT NULL  , 
	`answer` text COLLATE utf8_general_ci NOT NULL  , 
	`keywords` tinytext COLLATE utf8_general_ci NULL  , 
	`notes` text COLLATE utf8_general_ci NULL  , 
	`created` date NOT NULL  , 
	`updated` date NOT NULL  , 
	PRIMARY KEY (`faq_id`) , 
	UNIQUE KEY `question`(`question`) , 
	KEY `category_id`(`category_id`) , 
	KEY `ispublished`(`ispublished`) , 
	FULLTEXT KEY `faq`(`question`,`answer`,`keywords`) 
) ENGINE=MyISAM DEFAULT CHARSET='utf8';

CREATE TABLE `@@DB_MAIN_PREFIX@@faq_attachment`(
	`faq_id` int(10) unsigned NOT NULL  , 
	`file_id` int(10) unsigned NOT NULL  , 
	PRIMARY KEY (`faq_id`,`file_id`) 
) ENGINE=MyISAM DEFAULT CHARSET='utf8';

CREATE TABLE `@@DB_MAIN_PREFIX@@faq_category`(
	`category_id` int(10) unsigned NOT NULL  auto_increment , 
	`ispublic` tinyint(1) unsigned NOT NULL  DEFAULT 0 , 
	`name` varchar(125) COLLATE utf8_general_ci NULL  , 
	`description` text COLLATE utf8_general_ci NOT NULL  , 
	`notes` tinytext COLLATE utf8_general_ci NOT NULL  , 
	`created` date NOT NULL  , 
	`updated` date NOT NULL  , 
	PRIMARY KEY (`category_id`) , 
	KEY `ispublic`(`ispublic`) 
) ENGINE=MyISAM DEFAULT CHARSET='utf8';

CREATE TABLE `@@DB_MAIN_PREFIX@@faq_topic`(
	`faq_id` int(10) unsigned NOT NULL  , 
	`topic_id` int(10) unsigned NOT NULL  , 
	PRIMARY KEY (`faq_id`,`topic_id`) 
) ENGINE=MyISAM DEFAULT CHARSET='utf8';

CREATE TABLE `@@DB_MAIN_PREFIX@@file`(
	`id` int(11) NOT NULL  auto_increment , 
	`type` varchar(255) COLLATE utf8_general_ci NOT NULL  DEFAULT '' , 
	`size` varchar(25) COLLATE utf8_general_ci NOT NULL  DEFAULT '' , 
	`hash` varchar(125) COLLATE utf8_general_ci NOT NULL  , 
	`name` varchar(255) COLLATE utf8_general_ci NOT NULL  DEFAULT '' , 
	`created` datetime NOT NULL  , 
	PRIMARY KEY (`id`) , 
	KEY `hash`(`hash`) 
) ENGINE=MyISAM DEFAULT CHARSET='utf8';

CREATE TABLE `@@DB_MAIN_PREFIX@@file_chunk`(
	`file_id` int(11) NOT NULL  , 
	`chunk_id` int(11) NOT NULL  , 
	`filedata` longblob NOT NULL  , 
	PRIMARY KEY (`file_id`,`chunk_id`) 
) ENGINE=MyISAM DEFAULT CHARSET='utf8';

CREATE TABLE `@@DB_MAIN_PREFIX@@filter`(
	`id` int(11) unsigned NOT NULL  auto_increment , 
	`execorder` int(10) unsigned NOT NULL  DEFAULT 99 , 
	`isactive` tinyint(1) unsigned NOT NULL  DEFAULT 1 , 
	`match_all_rules` tinyint(1) unsigned NOT NULL  DEFAULT 0 , 
	`stop_onmatch` tinyint(1) unsigned NOT NULL  DEFAULT 0 , 
	`reject_ticket` tinyint(1) unsigned NOT NULL  DEFAULT 0 , 
	`use_replyto_email` tinyint(1) unsigned NOT NULL  DEFAULT 0 , 
	`disable_autoresponder` tinyint(1) unsigned NOT NULL  DEFAULT 0 , 
	`canned_response_id` int(11) unsigned NOT NULL  DEFAULT 0 , 
	`email_id` int(10) unsigned NOT NULL  DEFAULT 0 , 
	`priority_id` int(10) unsigned NOT NULL  DEFAULT 0 , 
	`dept_id` int(10) unsigned NOT NULL  DEFAULT 0 , 
	`staff_id` int(10) unsigned NOT NULL  DEFAULT 0 , 
	`team_id` int(10) unsigned NOT NULL  DEFAULT 0 , 
	`sla_id` int(10) unsigned NOT NULL  DEFAULT 0 , 
	`target` enum('Any','Web','Email','API') COLLATE utf8_general_ci NOT NULL  DEFAULT 'Any' , 
	`name` varchar(32) COLLATE utf8_general_ci NOT NULL  DEFAULT '' , 
	`notes` text COLLATE utf8_general_ci NULL  , 
	`created` datetime NOT NULL  , 
	`updated` datetime NOT NULL  , 
	PRIMARY KEY (`id`) , 
	KEY `target`(`target`) , 
	KEY `email_id`(`email_id`) 
) ENGINE=MyISAM DEFAULT CHARSET='utf8';

CREATE TABLE `@@DB_MAIN_PREFIX@@filter_rule`(
	`id` int(11) unsigned NOT NULL  auto_increment , 
	`filter_id` int(10) unsigned NOT NULL  DEFAULT 0 , 
	`what` enum('name','email','subject','body','header') COLLATE utf8_general_ci NOT NULL  , 
	`how` enum('equal','not_equal','contains','dn_contain','starts','ends') COLLATE utf8_general_ci NOT NULL  , 
	`val` varchar(255) COLLATE utf8_general_ci NOT NULL  , 
	`isactive` tinyint(1) unsigned NOT NULL  DEFAULT 1 , 
	`notes` tinytext COLLATE utf8_general_ci NOT NULL  , 
	`created` datetime NOT NULL  , 
	`updated` datetime NOT NULL  , 
	PRIMARY KEY (`id`) , 
	UNIQUE KEY `filter`(`filter_id`,`what`,`how`,`val`) , 
	KEY `filter_id`(`filter_id`) 
) ENGINE=MyISAM DEFAULT CHARSET='utf8';

CREATE TABLE `@@DB_MAIN_PREFIX@@group_dept_access`(
	`group_id` int(10) unsigned NOT NULL  DEFAULT 0 , 
	`dept_id` int(10) unsigned NOT NULL  DEFAULT 0 , 
	UNIQUE KEY `group_dept`(`group_id`,`dept_id`) , 
	KEY `dept_id`(`dept_id`) 
) ENGINE=MyISAM DEFAULT CHARSET='utf8';

ALTER TABLE `@@DB_MAIN_PREFIX@@groups` 
	CHANGE `can_create_tickets` `can_create_tickets` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `group_name` , 
	CHANGE `can_edit_tickets` `can_edit_tickets` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `can_create_tickets` , 
	ADD COLUMN `can_post_ticket_reply` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `can_edit_tickets` , 
	CHANGE `can_delete_tickets` `can_delete_tickets` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `can_post_ticket_reply` , 
	CHANGE `can_close_tickets` `can_close_tickets` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `can_delete_tickets` , 
	ADD COLUMN `can_assign_tickets` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `can_close_tickets` , 
	CHANGE `can_transfer_tickets` `can_transfer_tickets` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `can_assign_tickets` , 
	CHANGE `can_ban_emails` `can_ban_emails` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `can_transfer_tickets` , 
	ADD COLUMN `can_manage_premade` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `can_ban_emails` , 
	ADD COLUMN `can_manage_faq` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `can_manage_premade` , 
	ADD COLUMN `can_view_staff_stats` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `can_manage_faq` , 
	ADD COLUMN `notes` text  COLLATE utf8_general_ci NULL after `can_view_staff_stats` , 
	CHANGE `created` `created` datetime   NOT NULL after `notes` , 
	CHANGE `updated` `updated` datetime   NOT NULL after `created` , 
	DROP COLUMN `dept_access` , 
	DROP COLUMN `can_manage_kb` ;

ALTER TABLE `@@DB_MAIN_PREFIX@@help_topic` 
	ADD COLUMN `topic_pid` int(10) unsigned   NOT NULL DEFAULT 0 after `topic_id` , 
	CHANGE `isactive` `isactive` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `topic_pid` , 
	ADD COLUMN `ispublic` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `isactive` , 
	CHANGE `noautoresp` `noautoresp` tinyint(3) unsigned   NOT NULL DEFAULT 0 after `ispublic` , 
	CHANGE `priority_id` `priority_id` tinyint(3) unsigned   NOT NULL DEFAULT 0 after `noautoresp` , 
	CHANGE `dept_id` `dept_id` tinyint(3) unsigned   NOT NULL DEFAULT 0 after `priority_id` , 
	ADD COLUMN `staff_id` int(10) unsigned   NOT NULL DEFAULT 0 after `dept_id` , 
	ADD COLUMN `team_id` int(10) unsigned   NOT NULL DEFAULT 0 after `staff_id` , 
	ADD COLUMN `sla_id` int(10) unsigned   NOT NULL DEFAULT 0 after `team_id` , 
	CHANGE `topic` `topic` varchar(32)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `sla_id` , 
	ADD COLUMN `notes` text  COLLATE utf8_general_ci NULL after `topic` , 
	CHANGE `created` `created` datetime   NOT NULL after `notes` , 
	CHANGE `updated` `updated` datetime   NOT NULL after `created` , 
	ADD KEY `sla_id`(`sla_id`) , 
	ADD KEY `staff_id`(`staff_id`,`team_id`) , 
	DROP KEY `topic`, ADD UNIQUE KEY `topic`(`topic`,`topic_pid`) , 
	ADD KEY `topic_pid`(`topic_pid`) ;

DROP TABLE `@@DB_MAIN_PREFIX@@kb_premade`;

CREATE TABLE `@@DB_MAIN_PREFIX@@session`(
	`session_id` varchar(256) COLLATE utf8_unicode_ci NOT NULL  DEFAULT '' , 
	`session_data` longtext COLLATE utf8_unicode_ci NULL  , 
	`session_expire` datetime NULL  , 
	`session_updated` datetime NULL  , 
	`user_id` int(10) unsigned NOT NULL  DEFAULT 0 COMMENT 'osTicket staff ID' , 
	`user_ip` varchar(64) COLLATE utf8_unicode_ci NOT NULL  , 
	`user_agent` varchar(255) COLLATE utf8_unicode_ci NOT NULL  , 
	PRIMARY KEY (`session_id`) , 
	KEY `updated`(`session_updated`) , 
	KEY `user_id`(`user_id`) 
) ENGINE=MyISAM DEFAULT CHARSET='utf8';

CREATE TABLE `@@DB_MAIN_PREFIX@@sla`(
	`id` int(11) unsigned NOT NULL  auto_increment , 
	`isactive` tinyint(1) unsigned NOT NULL  DEFAULT 1 , 
	`enable_priority_escalation` tinyint(1) unsigned NOT NULL  DEFAULT 1 , 
	`disable_overdue_alerts` tinyint(1) unsigned NOT NULL  DEFAULT 0 , 
	`grace_period` int(10) unsigned NOT NULL  DEFAULT 0 , 
	`name` varchar(64) COLLATE utf8_general_ci NOT NULL  DEFAULT '' , 
	`notes` text COLLATE utf8_general_ci NULL  , 
	`created` datetime NOT NULL  , 
	`updated` datetime NOT NULL  , 
	PRIMARY KEY (`id`) , 
	UNIQUE KEY `name`(`name`) 
) ENGINE=MyISAM DEFAULT CHARSET='utf8';

ALTER TABLE `@@DB_MAIN_PREFIX@@staff` 
	ADD COLUMN `timezone_id` int(10) unsigned   NOT NULL DEFAULT 0 after `dept_id` , 
	CHANGE `username` `username` varchar(32)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `timezone_id` , 
	CHANGE `firstname` `firstname` varchar(32)  COLLATE utf8_general_ci NULL after `username` , 
	CHANGE `lastname` `lastname` varchar(32)  COLLATE utf8_general_ci NULL after `firstname` , 
	CHANGE `passwd` `passwd` varchar(128)  COLLATE utf8_general_ci NULL after `lastname` , 
	CHANGE `email` `email` varchar(128)  COLLATE utf8_general_ci NULL after `passwd` , 
	CHANGE `phone` `phone` varchar(24)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `email` , 
	CHANGE `phone_ext` `phone_ext` varchar(6)  COLLATE utf8_general_ci NULL after `phone` , 
	CHANGE `mobile` `mobile` varchar(24)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `phone_ext` , 
	CHANGE `signature` `signature` tinytext  COLLATE utf8_general_ci NOT NULL after `mobile` , 
	ADD COLUMN `notes` text  COLLATE utf8_general_ci NULL after `signature` , 
	CHANGE `isactive` `isactive` tinyint(1)   NOT NULL DEFAULT 1 after `notes` , 
	CHANGE `isadmin` `isadmin` tinyint(1)   NOT NULL DEFAULT 0 after `isactive` , 
	CHANGE `isvisible` `isvisible` tinyint(1) unsigned   NOT NULL DEFAULT 1 after `isadmin` , 
	CHANGE `onvacation` `onvacation` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `isvisible` , 
	ADD COLUMN `assigned_only` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `onvacation` , 
	ADD COLUMN `show_assigned_tickets` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `assigned_only` , 
	CHANGE `daylight_saving` `daylight_saving` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `show_assigned_tickets` , 
	CHANGE `change_passwd` `change_passwd` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `daylight_saving` , 
	CHANGE `max_page_size` `max_page_size` int(11) unsigned   NOT NULL DEFAULT 0 after `change_passwd` , 
	CHANGE `auto_refresh_rate` `auto_refresh_rate` int(10) unsigned   NOT NULL DEFAULT 0 after `max_page_size` , 
	ADD COLUMN `default_signature_type` enum('none','mine','dept')  COLLATE utf8_general_ci NOT NULL DEFAULT 'none' after `auto_refresh_rate` , 
	ADD COLUMN `default_paper_size` enum('Letter','Legal','Ledger','A4','A3')  COLLATE utf8_general_ci NOT NULL DEFAULT 'Letter' after `default_signature_type` , 
	CHANGE `created` `created` datetime   NOT NULL after `default_paper_size` , 
	CHANGE `lastlogin` `lastlogin` datetime   NULL after `created` , 
	ADD COLUMN `passwdreset` datetime   NULL after `lastlogin` , 
	CHANGE `updated` `updated` datetime   NOT NULL after `passwdreset` , 
	DROP COLUMN `append_signature` , 
	DROP COLUMN `timezone_offset` ;

ALTER TABLE `@@DB_MAIN_PREFIX@@syslog` 
	CHANGE `ip_address` `ip_address` varchar(64)  COLLATE utf8_general_ci NOT NULL after `logger` , 
	CHANGE `created` `created` datetime   NOT NULL after `ip_address` , 
	CHANGE `updated` `updated` datetime   NOT NULL after `created` ;

CREATE TABLE `@@DB_MAIN_PREFIX@@team`(
	`team_id` int(10) unsigned NOT NULL  auto_increment , 
	`lead_id` int(10) unsigned NOT NULL  DEFAULT 0 , 
	`isenabled` tinyint(1) unsigned NOT NULL  DEFAULT 1 , 
	`noalerts` tinyint(1) unsigned NOT NULL  DEFAULT 0 , 
	`name` varchar(125) COLLATE utf8_general_ci NOT NULL  DEFAULT '' , 
	`notes` text COLLATE utf8_general_ci NULL  , 
	`created` datetime NOT NULL  , 
	`updated` datetime NOT NULL  , 
	PRIMARY KEY (`team_id`) , 
	UNIQUE KEY `name`(`name`) , 
	KEY `isnabled`(`isenabled`) , 
	KEY `lead_id`(`lead_id`) 
) ENGINE=MyISAM DEFAULT CHARSET='utf8';

CREATE TABLE `@@DB_MAIN_PREFIX@@team_member`(
	`team_id` int(10) unsigned NOT NULL  DEFAULT 0 , 
	`staff_id` int(10) unsigned NOT NULL  , 
	`updated` datetime NOT NULL  , 
	PRIMARY KEY (`team_id`,`staff_id`) 
) ENGINE=MyISAM DEFAULT CHARSET='utf8';

ALTER TABLE `@@DB_MAIN_PREFIX@@ticket` 
	ADD COLUMN `sla_id` int(10) unsigned   NOT NULL DEFAULT 0 after `dept_id` , 
	CHANGE `priority_id` `priority_id` int(10) unsigned   NOT NULL DEFAULT 2 after `sla_id` , 
	CHANGE `topic_id` `topic_id` int(10) unsigned   NOT NULL DEFAULT 0 after `priority_id` , 
	CHANGE `staff_id` `staff_id` int(10) unsigned   NOT NULL DEFAULT 0 after `topic_id` , 
	ADD COLUMN `team_id` int(10) unsigned   NOT NULL DEFAULT 0 after `staff_id` , 
	CHANGE `email` `email` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `team_id` , 
	CHANGE `name` `name` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `email` , 
	CHANGE `subject` `subject` varchar(255)  COLLATE utf8_general_ci NOT NULL DEFAULT '[no subject]' after `name` , 
	CHANGE `phone` `phone` varchar(16)  COLLATE utf8_general_ci NULL after `subject` , 
	CHANGE `phone_ext` `phone_ext` varchar(8)  COLLATE utf8_general_ci NULL after `phone` , 
	CHANGE `ip_address` `ip_address` varchar(64)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `phone_ext` , 
	CHANGE `status` `status` enum('open','closed')  COLLATE utf8_general_ci NOT NULL DEFAULT 'open' after `ip_address` , 
	CHANGE `source` `source` enum('Web','Email','Phone','API','Other')  COLLATE utf8_general_ci NOT NULL DEFAULT 'Other' after `status` , 
	CHANGE `isoverdue` `isoverdue` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `source` , 
	CHANGE `isanswered` `isanswered` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `isoverdue` , 
	CHANGE `duedate` `duedate` datetime   NULL after `isanswered` , 
	CHANGE `reopened` `reopened` datetime   NULL after `duedate` , 
	CHANGE `closed` `closed` datetime   NULL after `reopened` , 
	CHANGE `lastmessage` `lastmessage` datetime   NULL after `closed` , 
	CHANGE `lastresponse` `lastresponse` datetime   NULL after `lastmessage` , 
	CHANGE `created` `created` datetime   NOT NULL after `lastresponse` , 
	CHANGE `updated` `updated` datetime   NOT NULL after `created` , 
	DROP COLUMN `helptopic` , 
	ADD KEY `sla_id`(`sla_id`) , 
	ADD KEY `team_id`(`staff_id`) ;

ALTER TABLE `@@DB_MAIN_PREFIX@@ticket_attachment` 
	ADD COLUMN `file_id` int(10) unsigned   NOT NULL DEFAULT 0 after `ticket_id` , 
	CHANGE `ref_id` `ref_id` int(11) unsigned   NOT NULL DEFAULT 0 after `file_id` , 
	CHANGE `ref_type` `ref_type` enum('M','R','N')  COLLATE utf8_general_ci NOT NULL DEFAULT 'M' after `ref_id` , 
	CHANGE `created` `created` datetime   NOT NULL after `ref_type` , 
	DROP COLUMN `deleted` , 
	DROP COLUMN `file_size` , 
	DROP COLUMN `file_name` , 
	DROP COLUMN `file_key` , 
	DROP COLUMN `updated` , 
	ADD KEY `file_id`(`file_id`) ;

CREATE TABLE `@@DB_MAIN_PREFIX@@ticket_email_info`(
	`message_id` int(11) unsigned NOT NULL  , 
	`email_mid` varchar(255) COLLATE utf8_general_ci NOT NULL  , 
	`headers` text COLLATE utf8_general_ci NULL  , 
	KEY `message_id`(`email_mid`) 
) ENGINE=MyISAM DEFAULT CHARSET='utf8';

CREATE TABLE `@@DB_MAIN_PREFIX@@ticket_event`(
	`ticket_id` int(11) unsigned NOT NULL  DEFAULT 0 , 
	`staff_id` int(11) unsigned NOT NULL  , 
	`team_id` int(11) unsigned NOT NULL  , 
	`dept_id` int(11) unsigned NOT NULL  , 
	`topic_id` int(11) unsigned NOT NULL  , 
	`state` enum('created','closed','reopened','assigned','transferred','overdue') COLLATE utf8_general_ci NOT NULL  , 
	`staff` varchar(255) COLLATE utf8_general_ci NOT NULL  DEFAULT 'SYSTEM' , 
	`annulled` tinyint(1) unsigned NOT NULL  DEFAULT 0 , 
	`timestamp` datetime NOT NULL  , 
	KEY `ticket_state`(`ticket_id`,`state`,`timestamp`) , 
	KEY `ticket_stats`(`timestamp`,`state`) 
) ENGINE=MyISAM DEFAULT CHARSET='utf8';



ALTER TABLE `@@DB_MAIN_PREFIX@@ticket_lock` 
	CHANGE `created` `created` datetime   NOT NULL after `expire` ;


DROP TABLE `@@DB_MAIN_PREFIX@@ticket_note`;

DROP TABLE `@@DB_MAIN_PREFIX@@ticket_response`;

CREATE TABLE `@@DB_MAIN_PREFIX@@ticket_thread`(
	`id` int(11) unsigned NOT NULL  auto_increment , 
	`pid` int(11) unsigned NOT NULL  DEFAULT 0 , 
	`ticket_id` int(11) unsigned NOT NULL  DEFAULT 0 , 
	`staff_id` int(11) unsigned NOT NULL  DEFAULT 0 , 
	`thread_type` enum('M','R','N') COLLATE utf8_general_ci NOT NULL  , 
	`poster` varchar(128) COLLATE utf8_general_ci NOT NULL  DEFAULT '' , 
	`source` varchar(32) COLLATE utf8_general_ci NOT NULL  DEFAULT '' , 
	`title` varchar(255) COLLATE utf8_general_ci NULL  , 
	`body` text COLLATE utf8_general_ci NOT NULL  , 
	`ip_address` varchar(64) COLLATE utf8_general_ci NOT NULL  DEFAULT '' , 
	`created` datetime NOT NULL  , 
	`updated` datetime NOT NULL  , 
	PRIMARY KEY (`id`) , 
	KEY `ticket_id`(`ticket_id`) , 
	KEY `staff_id`(`staff_id`) , 
	KEY `pid`(`pid`) , 
	FULLTEXT KEY `body`(`body`) 
) ENGINE=MyISAM DEFAULT CHARSET='utf8';


insert into `@@DB_MAIN_PREFIX@@canned_attachment` values('1', '1');

insert into `@@DB_MAIN_PREFIX@@canned_response` values('1', '0', '1', 'What is osTicket (sample)?', '\r\nosTicket is a widely-used open source support ticket system, an attractive alternative to higher-cost and complex customer support systems - simple, lightweight, reliable, open source, web-based and easy to setup and use.', NULL, '0000-00-00 00:00:00', '0000-00-00 00:00:00');

insert into `@@DB_MAIN_PREFIX@@canned_response` values('2', '0', '1', 'Sample (with variables)', '\r\n%{ticket.name},\r\n\r\nYour ticket #%{ticket.number} created on %{ticket.create_date} is in %{ticket.dept.name} department.\r\n\r\n', NULL, '0000-00-00 00:00:00', '0000-00-00 00:00:00');


update `@@DB_MAIN_PREFIX@@config` set `id` = '1', `isonline` = '1', `timezone_offset` = '0.0', `enable_daylight_saving` = '0', `staff_ip_binding` = '1', `staff_max_logins` = '4', `staff_login_timeout` = '2', `staff_session_timeout` = '30', `passwd_reset_period` = '0', `client_max_logins` = '4', `client_login_timeout` = '2', `client_session_timeout` = '30', `max_page_size` = '25', `max_open_tickets` = '0', `max_file_size` = '1048576', `max_user_file_uploads` = '0', `max_staff_file_uploads` = '0', `autolock_minutes` = '3', `overdue_grace_period` = '0', `alert_email_id` = '2', `default_email_id` = '1', `default_dept_id` = '1', `default_sla_id` = '1', `default_priority_id` = '2', `default_template_id` = '1', `default_timezone_id` = '8', `default_smtp_id` = '0', `allow_email_spoofing` = '0', `clickable_urls` = '1', `allow_priority_change` = '0', `use_email_priority` = '0', `enable_kb` = '0', `enable_premade` = '1', `enable_captcha` = '0', `enable_auto_cron` = '0', `enable_mail_polling` = '0', `send_sys_errors` = '1', `send_sql_errors` = '1', `send_mailparse_errors` = '1', `send_login_errors` = '1', `save_email_headers` = '1', `strip_quoted_reply` = '1', `log_ticket_activity` = '1', `ticket_autoresponder` = '0', `message_autoresponder` = '0', `ticket_notice_active` = '0', `ticket_alert_active` = '0', `ticket_alert_admin` = '1', `ticket_alert_dept_manager` = '1', `ticket_alert_dept_members` = '0', `message_alert_active` = '0', `message_alert_laststaff` = '1', `message_alert_assigned` = '1', `message_alert_dept_manager` = '0', `note_alert_active` = '0', `note_alert_laststaff` = '1', `note_alert_assigned` = '1', `note_alert_dept_manager` = '0', `transfer_alert_active` = '0', `transfer_alert_assigned` = '0', `transfer_alert_dept_manager` = '1', `transfer_alert_dept_members` = '0', `overdue_alert_active` = '0', `overdue_alert_assigned` = '1', `overdue_alert_dept_manager` = '1', `overdue_alert_dept_members` = '0', `assigned_alert_active` = '1', `assigned_alert_staff` = '1', `assigned_alert_team_lead` = '0', `assigned_alert_team_members` = '0', `auto_assign_reopened_tickets` = '1', `show_related_tickets` = '1', `show_assigned_tickets` = '1', `show_answered_tickets` = '0', `show_notes_inline` = '1', `hide_staff_name` = '0', `overlimit_notice_active` = '0', `email_attachments` = '1', `allow_attachments` = '0', `allow_email_attachments` = '0', `allow_online_attachments` = '0', `allow_online_attachments_onlogin` = '0', `random_ticket_ids` = '1', `log_level` = '2', `log_graceperiod` = '12', `upload_dir` = '@@ROOT_DIR@@/attachments', `allowed_filetypes` = '.doc, .pdf', `time_format` = ' h:i A', `date_format` = 'm/d/Y', `datetime_format` = 'm/d/Y g:i a', `daydatetime_format` = 'D, M j Y g:ia', `reply_separator` = '-- do not edit --', `admin_email` = '@@ADMIN_EMAIL@@', `helpdesk_title` = '@@TITLE@@', `helpdesk_url` = '@@ROOT_URL@@/', `schema_signature` = 'd959a00e55c75e0c903b9e37324fd25d', `updated` = now() where `id` = '1';

update `@@DB_MAIN_PREFIX@@department` set `dept_id` = '2', `tpl_id` = '0', `sla_id` = '1', `email_id` = '1', `autoresp_email_id` = '1', `manager_id` = '0', `dept_name` = 'Billing', `dept_signature` = 'Billing Dept', `ispublic` = '1', `group_membership` = '0', `ticket_auto_response` = '1', `message_auto_response` = '1', `updated` = '0000-00-00 00:00:00', `created` = '0000-00-00 00:00:00' where `dept_id` = '2';

update `@@DB_MAIN_PREFIX@@department` set `dept_id` = '1', `tpl_id` = '0', `sla_id` = '0', `email_id` = '1', `autoresp_email_id` = '1', `manager_id` = '0', `dept_name` = 'Support', `dept_signature` = 'Support Dept', `ispublic` = '1', `group_membership` = '0', `ticket_auto_response` = '1', `message_auto_response` = '1', `updated` = '0000-00-00 00:00:00', `created` = '0000-00-00 00:00:00' where `dept_id` = '1';

update `@@DB_MAIN_PREFIX@@email` set `email_id` = '2', `noautoresp` = '0', `priority_id` = '2', `dept_id` = '1', `email` = 'alerts@gmail.com', `name` = 'osTicket Alerts', `userid` = '', `userpass` = '', `mail_active` = '0', `mail_host` = '', `mail_protocol` = 'POP', `mail_encryption` = 'NONE', `mail_port` = NULL, `mail_fetchfreq` = '5', `mail_fetchmax` = '30', `mail_archivefolder` = NULL, `mail_delete` = '0', `mail_errors` = '0', `mail_lasterror` = NULL, `mail_lastfetch` = NULL, `smtp_active` = '0', `smtp_host` = '', `smtp_port` = NULL, `smtp_secure` = '1', `smtp_auth` = '1', `smtp_spoofing` = '0', `notes` = NULL, `created` = now(), `updated` = now() where `email_id` = '2';

update `@@DB_MAIN_PREFIX@@email` set `email_id` = '3', `noautoresp` = '0', `priority_id` = '2', `dept_id` = '1', `email` = 'noreply@gmail.com', `name` = '', `userid` = '', `userpass` = '', `mail_active` = '0', `mail_host` = '', `mail_protocol` = 'POP', `mail_encryption` = 'NONE', `mail_port` = NULL, `mail_fetchfreq` = '5', `mail_fetchmax` = '30', `mail_archivefolder` = NULL, `mail_delete` = '0', `mail_errors` = '0', `mail_lasterror` = NULL, `mail_lastfetch` = NULL, `smtp_active` = '0', `smtp_host` = '', `smtp_port` = NULL, `smtp_secure` = '1', `smtp_auth` = '1', `smtp_spoofing` = '0', `notes` = NULL, `created` = now(), `updated` = now() where `email_id` = '3';

update `@@DB_MAIN_PREFIX@@email` set `email_id` = '1', `noautoresp` = '0', `priority_id` = '2', `dept_id` = '1', `email` = 'upport@yourdomain.com', `name` = 'Support', `userid` = '', `userpass` = '', `mail_active` = '0', `mail_host` = '', `mail_protocol` = 'POP', `mail_encryption` = 'NONE', `mail_port` = NULL, `mail_fetchfreq` = '5', `mail_fetchmax` = '30', `mail_archivefolder` = NULL, `mail_delete` = '0', `mail_errors` = '0', `mail_lasterror` = NULL, `mail_lastfetch` = NULL, `smtp_active` = '0', `smtp_host` = '', `smtp_port` = NULL, `smtp_secure` = '1', `smtp_auth` = '1', `smtp_spoofing` = '0', `notes` = NULL, `created` = now(), `updated` = now() where `email_id` = '1';


update `@@DB_MAIN_PREFIX@@email_template` set `tpl_id` = '1', `cfg_id` = '1', `isactive` = '1', `name` = 'osTicket Default Template', `notes` = 'Default osTicket templates', `ticket_autoresp_subj` = 'Support Ticket Opened [#%{ticket.number}]', `ticket_autoresp_body` = '%{ticket.name},\r\n\r\nA request for support has been created and assigned ticket #%{ticket.number}. A representative will follow-up with you as soon as possible.\r\n\r\nYou can view this ticket\'s progress online here: %{ticket.client_link}.\r\n\r\nIf you wish to send additional comments or information regarding this issue, please don\'t open a new ticket. Simply login using the link above and update the ticket.\r\n\r\n%{signature}', `ticket_autoreply_subj` = 'Support Ticket Opened [#%{ticket.number}]', `ticket_autoreply_body` = '%{ticket.name},\r\n\r\nA request for support has been created and assigned ticket #%{ticket.number} with the following auto-reply:\r\n\r\n%{response}\r\n\r\n\r\nWe hope this response has sufficiently answered your questions. If not, please do not open another ticket. If need be, representative will follow-up with you as soon as possible.\r\n\r\nYou can view this ticket\'s progress online here: %{ticket.client_link}.', `ticket_notice_subj` = '[#%{ticket.number}] %{ticket.subject}', `ticket_notice_body` = '%{ticket.name},\r\n\r\nOur customer care team has created a ticket, #%{ticket.number} on your behalf, with the following message.\r\n\r\n%{message}\r\n\r\nIf you wish to provide additional comments or information regarding this issue, please don\'t open a new ticket. You can update or view this ticket\'s progress online here: %{ticket.client_link}.\r\n\r\n%{signature}', `ticket_alert_subj` = 'New Ticket Alert', `ticket_alert_body` = '%{recipient},\r\n\r\nNew ticket #%{ticket.number} created.\r\n\r\n-----------------------\r\nName: %{ticket.name}\r\nEmail: %{ticket.email}\r\nDept: %{ticket.dept.name}\r\n\r\n%{message}\r\n-----------------------\r\n\r\nTo view/respond to the ticket, please login to the support ticket system.\r\n\r\n%{ticket.staff_link}\r\n\r\n- Your friendly Customer Support System - powered by osTicket.', `message_autoresp_subj` = '[#%{ticket.number}] Message Added', `message_autoresp_body` = '%{ticket.name},\r\n\r\nYour reply to support request #%{ticket.number} has been noted.\r\n\r\nYou can view this support request progress online here: %{ticket.client_link}.\r\n\r\n%{signature}', `message_alert_subj` = 'New Message Alert', `message_alert_body` = '%{recipient},\r\n\r\nNew message appended to ticket #%{ticket.number}\r\n\r\n----------------------\r\nName: %{ticket.name}\r\nEmail: %{ticket.email}\r\nDept: %{ticket.dept.name}\r\n\r\n%{message}\r\n----------------------\r\n\r\nTo view/respond to the ticket, please login to the support ticket system.\r\n\r\n%{ticket.staff_link}\r\n\r\n- Your friendly Customer Support System - powered by osTicket.', `note_alert_subj` = 'New Internal Note Alert', `note_alert_body` = '%{recipient},\r\n\r\nInternal note appended to ticket #%{ticket.number}\r\n\r\n----------------------\r\n* %{note.title} *\r\n\r\n%{note.message}\r\n----------------------\r\n\r\nTo view/respond to the ticket, please login to the support ticket system.\r\n\r\n%{ticket.staff_link}\r\n\r\n- Your friendly Customer Support System - powered by osTicket.', `assigned_alert_subj` = 'Ticket #%{ticket.number} Assigned to you', `assigned_alert_body` = '%{assignee},\r\n\r\nTicket #%{ticket.number} has been assigned to you by %{assigner}\r\n\r\n----------------------\r\n\r\n%{comments}\r\n\r\n----------------------\r\n\r\nTo view complete details, simply login to the support system.\r\n\r\n%{ticket.staff_link}\r\n\r\n- Your friendly Support Ticket System - powered by osTicket.', `transfer_alert_subj` = 'Ticket Transfer #%{ticket.number} - %{ticket.dept.name}', `transfer_alert_body` = '%{recipient},\r\n\r\nTicket #%{ticket.number} has been transferred to %{ticket.dept.name} department by %{staff.name}\r\n\r\n----------------------\r\n\r\n%{comments}\r\n\r\n----------------------\r\n\r\nTo view/respond to the ticket, please login to the support ticket system.\r\n\r\n%{ticket.staff_link}\r\n\r\n- Your friendly Customer Support System - powered by osTicket.', `ticket_overdue_subj` = 'Stale Ticket Alert', `ticket_overdue_body` = '%{recipient},\r\n\r\nA ticket, #%{ticket.number} assigned to you or in your department is seriously overdue.\r\n\r\n%{ticket.staff_link}\r\n\r\nWe should all work hard to guarantee that all tickets are being addressed in a timely manner.\r\n\r\n- Your friendly (although with limited patience) Support Ticket System - powered by osTicket.', `ticket_overlimit_subj` = 'Open Tickets Limit Reached', `ticket_overlimit_body` = '%{ticket.name}\r\n\r\nYou have reached the maximum number of open tickets allowed.\r\n\r\nTo be able to open another ticket, one of your pending tickets must be closed. To update or add comments to an open ticket simply login using the link below.\r\n\r\n%{url}/tickets.php?e=%{ticket.email}\r\n\r\nThank you.\r\n\r\nSupport Ticket System', `ticket_reply_subj` = '[#%{ticket.number}] %{ticket.subject}', `ticket_reply_body` = '%{ticket.name},\r\n\r\nA customer support staff member has replied to your support request, #%{ticket.number} with the following response:\r\n\r\n%{response}\r\n\r\nWe hope this response has sufficiently answered your questions. If not, please do not send another email. Instead, reply to this email or login to your account for a complete archive of all your support requests and responses.\r\n\r\n%{ticket.client_link}\r\n\r\n%{signature}', `created` = now(), `updated` = now() where `tpl_id` = '1';


insert into `@@DB_MAIN_PREFIX@@file` values('1', 'text/plain', '25', '670c6cc1d1dfc97fad20e5470251b255', 'osTicket.txt', now());

insert into `@@DB_MAIN_PREFIX@@file_chunk` values('1', '0', 'Canned attachments rock!\n');

insert into `@@DB_MAIN_PREFIX@@filter` values('1', '99', '1', '0', '0', '1', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'Any', 'SYSTEM BAN LIST', 'Internal list for email banning. Do not remove', now(), '0000-00-00 00:00:00');

insert into `@@DB_MAIN_PREFIX@@filter_rule` values('1', '1', 'email', 'equal', 'test@example.com', '1', '', now(), '0000-00-00 00:00:00');


update `@@DB_MAIN_PREFIX@@groups` set `group_id` = '2', `group_enabled` = '1', `group_name` = 'Managers', `can_create_tickets` = '1', `can_edit_tickets` = '1', `can_post_ticket_reply` = '1', `can_delete_tickets` = '1', `can_close_tickets` = '1', `can_assign_tickets` = '1', `can_transfer_tickets` = '1', `can_ban_emails` = '1', `can_manage_premade` = '1', `can_manage_faq` = '1', `can_view_staff_stats` = '0', `notes` = '', `created` = now(), `updated` = now() where `group_id` = '2';

update `@@DB_MAIN_PREFIX@@groups` set `group_id` = '3', `group_enabled` = '1', `group_name` = 'Staff', `can_create_tickets` = '1', `can_edit_tickets` = '1', `can_post_ticket_reply` = '1', `can_delete_tickets` = '0', `can_close_tickets` = '1', `can_assign_tickets` = '1', `can_transfer_tickets` = '1', `can_ban_emails` = '0', `can_manage_premade` = '0', `can_manage_faq` = '0', `can_view_staff_stats` = '0', `notes` = '', `created` = now(), `updated` = now() where `group_id` = '3';

update `@@DB_MAIN_PREFIX@@groups` set `group_id` = '1', `group_enabled` = '1', `group_name` = 'Admins', `can_create_tickets` = '1', `can_edit_tickets` = '1', `can_post_ticket_reply` = '1', `can_delete_tickets` = '1', `can_close_tickets` = '1', `can_assign_tickets` = '1', `can_transfer_tickets` = '1', `can_ban_emails` = '1', `can_manage_premade` = '1', `can_manage_faq` = '1', `can_view_staff_stats` = '0', `notes` = 'overlords', `created` = now(), `updated` = now() where `group_id` = '1';


INSERT INTO `@@DB_MAIN_PREFIX@@group_dept_access` (`group_id`, `dept_id`) VALUES
(1, 1),
(1, 2),
(2, 1),
(2, 2),
(3, 1),
(3, 2);


update `@@DB_MAIN_PREFIX@@help_topic` set `topic_id` = '1', `topic_pid` = '0', `isactive` = '1', `ispublic` = '1', `noautoresp` = '0', `priority_id` = '2', `dept_id` = '1', `staff_id` = '0', `team_id` = '0', `sla_id` = '1', `topic` = 'Support', `notes` = NULL, `created` = now(), `updated` = now() where `topic_id` = '1';

INSERT INTO `@@DB_MAIN_PREFIX@@sla` (`id`, `isactive`, `enable_priority_escalation`, `disable_overdue_alerts`, `grace_period`, `name`, `notes`, `created`, `updated`) VALUES
(1, 1, 1, 0, 48, 'Default SLA', NULL, now(), now());


update `@@DB_MAIN_PREFIX@@staff` set `staff_id` = '1', `group_id` = '1', `dept_id` = '1', `timezone_id` = '8', `username` = '@@ADMIN_NAME@@', `firstname` = 'Admin', `lastname` = 'Admin', `passwd` = '@@ADMIN_PASSWORD@@', `email` = '@@ADMIN_EMAIL@@', `phone` = '', `phone_ext` = NULL, `mobile` = '', `signature` = '', `notes` = NULL, `isactive` = '1', `isadmin` = '1', `isvisible` = '1', `onvacation` = '0', `assigned_only` = '0', `show_assigned_tickets` = '0', `daylight_saving` = '0', `change_passwd` = '0', `max_page_size` = '25', `auto_refresh_rate` = '0', `default_signature_type` = 'none', `default_paper_size` = 'Letter', `created` = now(), `lastlogin` = now(), `passwdreset` = NULL, `updated` = '0000-00-00 00:00:00' where `staff_id` = '1';


update `@@DB_MAIN_PREFIX@@syslog` set `log_id` = '1', `log_type` = 'Debug', `title` = 'osTicket installed!', `log` = 'Congratulations osTicket basic installation completed!\n\nThank you for choosing osTicket!', `logger` = '', `ip_address` = '::1', `created` = now(), `updated` = now() where `log_id` = '1';


INSERT INTO `@@DB_MAIN_PREFIX@@team` (`team_id`, `lead_id`, `isenabled`, `noalerts`, `name`, `notes`, `created`, `updated`) VALUES
(1, 0, 1, 0, 'Level I Support', '', now(), now());


INSERT INTO `@@DB_MAIN_PREFIX@@ticket_thread` (`id`, `pid`, `ticket_id`, `staff_id`, `thread_type`, `poster`, `source`, `title`, `body`, `ip_address`, `created`, `updated`) VALUES
(1, 0, 1, 0, 'Admin', '', 'Web', 'osTicket Installed', 'Thank you for choosing osTicket.\n\nPlease make sure you join the osTicket forums at http://osticket.com/forums to stay up to date on the latest news, security alerts and updates. The osTicket forums are also a great place to get assistance, guidance, tips, and help from other osTicket users. In addition to the forums, the osTicket wiki provides a useful collection of educational materials, documentation, and notes from the community. We welcome your contributions to the osTicket community.\n\nIf you are looking for a greater level of support, we provide professional services and commercial support with guaranteed response times, and access to the core development team. We can also help customize osTicket or even add new features to the system to meet your unique needs.\n\nCheers,\n\n-\nosTicket Team\nhttp://osticket.com/\n\nPS. Don''t just make customers happy, make happy customers!\n', '', now(), '0000-00-00 00:00:00');
