CREATE TABLE `@@DB_MAIN_PREFIX@@attachment`(
	`object_id` int(11) unsigned NOT NULL  , 
	`type` char(1) COLLATE utf8_general_ci NOT NULL  , 
	`file_id` int(11) unsigned NOT NULL  , 
	`inline` tinyint(1) unsigned NOT NULL  DEFAULT 0 , 
	PRIMARY KEY (`object_id`,`file_id`,`type`) 
) ENGINE=InnoDB DEFAULT CHARSET='utf8' COLLATE='utf8_general_ci';

ALTER TABLE `@@DB_MAIN_PREFIX@@canned_response` 
	ADD COLUMN `lang` varchar(16)  COLLATE utf8_general_ci NOT NULL DEFAULT 'en_US' after `response` , 
	CHANGE `notes` `notes` text  COLLATE utf8_general_ci NULL after `lang` , 
	CHANGE `created` `created` datetime   NOT NULL after `notes` , 
	CHANGE `updated` `updated` datetime   NOT NULL after `created` ;
	
CREATE TABLE `@@DB_MAIN_PREFIX@@draft`(
	`id` int(11) unsigned NOT NULL  auto_increment , 
	`staff_id` int(11) unsigned NOT NULL  , 
	`namespace` varchar(32) COLLATE utf8_general_ci NOT NULL  DEFAULT '' , 
	`body` text COLLATE utf8_general_ci NOT NULL  , 
	`created` timestamp NOT NULL  DEFAULT CURRENT_TIMESTAMP , 
	`updated` timestamp NULL  , 
	PRIMARY KEY (`id`) 
) ENGINE=InnoDB DEFAULT CHARSET='utf8' COLLATE='utf8_general_ci';



ALTER TABLE `@@DB_MAIN_PREFIX@@email_template` 
	ADD COLUMN `notes` text  COLLATE utf8_general_ci NULL after `body` , 
	CHANGE `created` `created` datetime   NOT NULL after `notes` , 
	CHANGE `updated` `updated` datetime   NOT NULL after `created` ;


ALTER TABLE `@@DB_MAIN_PREFIX@@email_template_group` 
	ADD COLUMN `lang` varchar(16)  COLLATE utf8_general_ci NOT NULL DEFAULT 'en_US' after `name` , 
	CHANGE `notes` `notes` text  COLLATE utf8_general_ci NULL after `lang` , 
	CHANGE `created` `created` datetime   NOT NULL after `notes` , 
	CHANGE `updated` `updated` timestamp   NOT NULL DEFAULT CURRENT_TIMESTAMP  on update CURRENT_TIMESTAMP after `created` ;


ALTER TABLE `@@DB_MAIN_PREFIX@@filter` 
	ADD COLUMN `form_id` int(11) unsigned   NOT NULL DEFAULT 0 after `sla_id` , 
	CHANGE `target` `target` enum('Any','Web','Email','API')  COLLATE utf8_general_ci NOT NULL DEFAULT 'Any' after `form_id` , 
	CHANGE `name` `name` varchar(32)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `target` , 
	CHANGE `notes` `notes` text  COLLATE utf8_general_ci NULL after `name` , 
	CHANGE `created` `created` datetime   NOT NULL after `notes` , 
	CHANGE `updated` `updated` datetime   NOT NULL after `created` ;


ALTER TABLE `@@DB_MAIN_PREFIX@@filter_rule` 
	CHANGE `what` `what` varchar(32)  COLLATE utf8_general_ci NOT NULL after `filter_id` ;


CREATE TABLE `@@DB_MAIN_PREFIX@@form`(
	`id` int(11) unsigned NOT NULL  auto_increment , 
	`type` char(1) COLLATE utf8_general_ci NOT NULL  DEFAULT 'G' , 
	`deletable` tinyint(1) NOT NULL  DEFAULT 1 , 
	`title` varchar(255) COLLATE utf8_general_ci NOT NULL  , 
	`instructions` varchar(512) COLLATE utf8_general_ci NULL  , 
	`notes` text COLLATE utf8_general_ci NULL  , 
	`created` datetime NOT NULL  , 
	`updated` datetime NOT NULL  , 
	PRIMARY KEY (`id`) 
) ENGINE=InnoDB DEFAULT CHARSET='utf8' COLLATE='utf8_general_ci';



CREATE TABLE `@@DB_MAIN_PREFIX@@form_entry`(
	`id` int(11) unsigned NOT NULL  auto_increment , 
	`form_id` int(11) unsigned NOT NULL  , 
	`object_id` int(11) unsigned NULL  , 
	`object_type` char(1) COLLATE utf8_general_ci NOT NULL  DEFAULT 'T' , 
	`sort` int(11) unsigned NOT NULL  DEFAULT 1 , 
	`created` datetime NOT NULL  , 
	`updated` datetime NOT NULL  , 
	PRIMARY KEY (`id`) , 
	KEY `entry_lookup`(`object_type`,`object_id`) 
) ENGINE=InnoDB DEFAULT CHARSET='utf8' COLLATE='utf8_general_ci';



CREATE TABLE `@@DB_MAIN_PREFIX@@form_entry_values`(
	`entry_id` int(11) unsigned NOT NULL  , 
	`field_id` int(11) unsigned NOT NULL  , 
	`value` text COLLATE utf8_general_ci NULL  , 
	`value_id` int(11) NULL  , 
	PRIMARY KEY (`entry_id`,`field_id`) 
) ENGINE=InnoDB DEFAULT CHARSET='utf8' COLLATE='utf8_general_ci';

CREATE TABLE `@@DB_MAIN_PREFIX@@form_field`(
	`id` int(11) unsigned NOT NULL  auto_increment , 
	`form_id` int(11) unsigned NOT NULL  , 
	`type` varchar(255) COLLATE utf8_general_ci NOT NULL  DEFAULT 'text' , 
	`label` varchar(255) COLLATE utf8_general_ci NOT NULL  , 
	`required` tinyint(1) NOT NULL  DEFAULT 0 , 
	`private` tinyint(1) NOT NULL  DEFAULT 0 , 
	`edit_mask` tinyint(1) NOT NULL  DEFAULT 0 , 
	`name` varchar(64) COLLATE utf8_general_ci NOT NULL  , 
	`configuration` text COLLATE utf8_general_ci NULL  , 
	`sort` int(11) unsigned NOT NULL  , 
	`hint` varchar(512) COLLATE utf8_general_ci NULL  , 
	`created` datetime NOT NULL  , 
	`updated` datetime NOT NULL  , 
	PRIMARY KEY (`id`) 
) ENGINE=InnoDB DEFAULT CHARSET='utf8' COLLATE='utf8_general_ci';



ALTER TABLE `@@DB_MAIN_PREFIX@@help_topic` 
	ADD COLUMN `form_id` int(10) unsigned   NOT NULL DEFAULT 0 after `page_id` , 
	CHANGE `topic` `topic` varchar(32)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `form_id` , 
	CHANGE `notes` `notes` text  COLLATE utf8_general_ci NULL after `topic` , 
	CHANGE `created` `created` datetime   NOT NULL after `notes` , 
	CHANGE `updated` `updated` datetime   NOT NULL after `created` ;


CREATE TABLE `@@DB_MAIN_PREFIX@@list`(
	`id` int(11) unsigned NOT NULL  auto_increment , 
	`name` varchar(255) COLLATE utf8_general_ci NOT NULL  , 
	`name_plural` varchar(255) COLLATE utf8_general_ci NULL  , 
	`sort_mode` enum('Alpha','-Alpha','SortCol') COLLATE utf8_general_ci NOT NULL  DEFAULT 'Alpha' , 
	`notes` text COLLATE utf8_general_ci NULL  , 
	`created` datetime NOT NULL  , 
	`updated` datetime NOT NULL  , 
	PRIMARY KEY (`id`) 
) ENGINE=InnoDB DEFAULT CHARSET='utf8' COLLATE='utf8_general_ci';



CREATE TABLE `@@DB_MAIN_PREFIX@@list_items`(
	`id` int(11) unsigned NOT NULL  auto_increment , 
	`list_id` int(11) NULL  , 
	`value` varchar(255) COLLATE utf8_general_ci NOT NULL  , 
	`extra` varchar(255) COLLATE utf8_general_ci NULL  , 
	`sort` int(11) NOT NULL  DEFAULT 1 , 
	PRIMARY KEY (`id`) , 
	KEY `list_item_lookup`(`list_id`) 
) ENGINE=InnoDB DEFAULT CHARSET='utf8' COLLATE='utf8_general_ci';
ALTER TABLE `@@DB_MAIN_PREFIX@@page` 
	ADD COLUMN `lang` varchar(16)  COLLATE utf8_general_ci NOT NULL DEFAULT 'en_US' after `body` , 
	CHANGE `notes` `notes` text  COLLATE utf8_general_ci NULL after `lang` , 
	CHANGE `created` `created` datetime   NOT NULL after `notes` , 
	CHANGE `updated` `updated` datetime   NOT NULL after `created` ;
ALTER TABLE `@@DB_MAIN_PREFIX@@ticket` 
	ADD COLUMN `user_id` int(11) unsigned   NOT NULL DEFAULT 0 after `ticketID` , 
	ADD COLUMN `user_email_id` int(11) unsigned   NOT NULL DEFAULT 0 after `user_id` , 
	CHANGE `dept_id` `dept_id` int(10) unsigned   NOT NULL DEFAULT 0 after `user_email_id` , 
	CHANGE `sla_id` `sla_id` int(10) unsigned   NOT NULL DEFAULT 0 after `dept_id` , 
	CHANGE `topic_id` `topic_id` int(10) unsigned   NOT NULL DEFAULT 0 after `sla_id` , 
	CHANGE `staff_id` `staff_id` int(10) unsigned   NOT NULL DEFAULT 0 after `topic_id` , 
	CHANGE `team_id` `team_id` int(10) unsigned   NOT NULL DEFAULT 0 after `staff_id` , 
	CHANGE `ip_address` `ip_address` varchar(64)  COLLATE utf8_general_ci NOT NULL DEFAULT '' after `team_id` , 
	CHANGE `status` `status` enum('open','closed')  COLLATE utf8_general_ci NOT NULL DEFAULT 'open' after `ip_address` , 
	CHANGE `source` `source` enum('Web','Email','Phone','API','Other')  COLLATE utf8_general_ci NOT NULL DEFAULT 'Other' after `status` , 
	CHANGE `isoverdue` `isoverdue` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `source` , 
	CHANGE `isanswered` `isanswered` tinyint(1) unsigned   NOT NULL DEFAULT 0 after `isoverdue` , 
	CHANGE `duedate` `duedate` datetime   NULL after `isanswered` , 
	CHANGE `reopened` `reopened` datetime   NULL after `duedate` , 
	CHANGE `closed` `closed` datetime   NULL after `reopened` , 
	CHANGE `lastmessage` `lastmessage` datetime   NULL after `closed` , 
	CHANGE `lastresponse` `lastresponse` datetime   NULL after `lastmessage` , 
	CHANGE `created` `created` datetime   NOT NULL after `lastresponse` , 
	CHANGE `updated` `updated` datetime   NOT NULL after `created` , 
	DROP COLUMN `priority_id` , 
	DROP COLUMN `email` , 
	DROP COLUMN `subject` , 
	DROP COLUMN `name` , 
	DROP COLUMN `phone` , 
	DROP COLUMN `phone_ext` , 
	DROP KEY `email_extid` , 
	DROP KEY `priority_id` ;


CREATE TABLE `@@DB_MAIN_PREFIX@@user`(
	`id` int(10) unsigned NOT NULL  auto_increment , 
	`default_email_id` int(10) NOT NULL  , 
	`name` varchar(128) COLLATE utf8_general_ci NOT NULL  , 
	`created` datetime NOT NULL  , 
	`updated` datetime NOT NULL  , 
	PRIMARY KEY (`id`) 
) ENGINE=InnoDB DEFAULT CHARSET='utf8' COLLATE='utf8_general_ci';



CREATE TABLE `@@DB_MAIN_PREFIX@@user_email`(
	`id` int(10) unsigned NOT NULL  auto_increment , 
	`user_id` int(10) unsigned NOT NULL  , 
	`address` varchar(128) COLLATE utf8_general_ci NOT NULL  , 
	PRIMARY KEY (`id`) , 
	UNIQUE KEY `address`(`address`) , 
	KEY `user_email_lookup`(`user_id`) 
) ENGINE=InnoDB DEFAULT CHARSET='utf8' COLLATE='utf8_general_ci';	

insert into `@@DB_MAIN_PREFIX@@attachment` values('1', 'T', '1', '1');

insert into `@@DB_MAIN_PREFIX@@attachment` values('1', 'T', '2', '1');

insert into `@@DB_MAIN_PREFIX@@attachment` values('1', 'C', '3', '0');

insert into `@@DB_MAIN_PREFIX@@attachment` values('2', 'T', '1', '1');

insert into `@@DB_MAIN_PREFIX@@attachment` values('2', 'T', '2', '1');

insert into `@@DB_MAIN_PREFIX@@attachment` values('3', 'T', '1', '1');

insert into `@@DB_MAIN_PREFIX@@attachment` values('4', 'T', '1', '1');

insert into `@@DB_MAIN_PREFIX@@attachment` values('4', 'T', '2', '1');

insert into `@@DB_MAIN_PREFIX@@attachment` values('5', 'T', '1', '1');

insert into `@@DB_MAIN_PREFIX@@attachment` values('5', 'T', '2', '1');

insert into `@@DB_MAIN_PREFIX@@attachment` values('6', 'T', '1', '1');

insert into `@@DB_MAIN_PREFIX@@attachment` values('6', 'T', '2', '1');

insert into `@@DB_MAIN_PREFIX@@attachment` values('7', 'T', '1', '1');

insert into `@@DB_MAIN_PREFIX@@attachment` values('8', 'T', '1', '1');

insert into `@@DB_MAIN_PREFIX@@attachment` values('9', 'T', '1', '1');

insert into `@@DB_MAIN_PREFIX@@attachment` values('10', 'T', '1', '1');

insert into `@@DB_MAIN_PREFIX@@attachment` values('11', 'T', '1', '1');

insert into `@@DB_MAIN_PREFIX@@attachment` values('12', 'T', '1', '1');

insert into `@@DB_MAIN_PREFIX@@attachment` values('13', 'T', '1', '1');

update `@@DB_MAIN_PREFIX@@config` set `value` = '1' where `id` = '1';
update `@@DB_MAIN_PREFIX@@config` set `namespace` = 'core', `key` = 'schema_signature', `value` = '6de40a4d5bad7a2923e769a4db1ff3b9', `updated` = now() where `id` = '94';
update `@@DB_MAIN_PREFIX@@config` set `namespace` = 'core', `key` = 'allowed_filetypes', `value` = '.doc, .pdf, .jpg, .jpeg, .gif, .png, .xls, .docx, .xlsx, .txt', `updated` = now() where `id` = '85';
update `@@DB_MAIN_PREFIX@@config` set  `namespace` = 'core', `key` = 'landing_page_id', `value` = '1', `updated` = now() where `id` = '95';
update `@@DB_MAIN_PREFIX@@config` set `namespace` = 'core', `key` = 'offline_page_id', `value` = '3', `updated` = now() where `id` = '96';
INSERT INTO `@@DB_MAIN_PREFIX@@config` (`namespace`, `key`, `value`, `updated`) VALUES ('sla.1', 'transient', '0', '2013-12-16 11:21:06');


insert into `@@DB_MAIN_PREFIX@@department` values('3', '0', '0', '1', '1', '0', 'Maintenance', 'Maintenance Department', '0', '0', '1', '1', now(), now());
update `@@DB_MAIN_PREFIX@@department` set `dept_id` = '2', `tpl_id` = '0', `sla_id` = '1', `email_id` = '1', `autoresp_email_id` = '1', `manager_id` = '0', `dept_name` = 'Sales', `dept_signature` = 'Sales and Customer Retention', `ispublic` = '1', `group_membership` = '0', `ticket_auto_response` = '1', `message_auto_response` = '1', `updated` = now(), `created` = now() where `dept_id` = '2';
update `@@DB_MAIN_PREFIX@@department` set `dept_id` = '1', `tpl_id` = '0', `sla_id` = '0', `email_id` = '1', `autoresp_email_id` = '1', `manager_id` = '0', `dept_name` = 'Support', `dept_signature` = 'Support Department', `ispublic` = '1', `group_membership` = '0', `ticket_auto_response` = '1', `message_auto_response` = '1', `updated` = now(), `created` = now() where `dept_id` = '1';

insert into `@@DB_MAIN_PREFIX@@file` values('2', 'T', 'image/png', '6879', '6fe1efdea357534d238b86e7860a7c5a', 'kangaroo.png', now());
insert into `@@DB_MAIN_PREFIX@@file` values('3', 'T', 'text/plain', '24', 'fbd28f32cd35b47075e3c5de26f1b493', 'osTicket.txt', now());

update `@@DB_MAIN_PREFIX@@file` set `id` = '1', `ft` = 'T', `type` = 'image/png', `size` = '5128', `hash` = 'b56944cb4722cc5cda9d1e23a3ea7fbc', `name` = 'powered-by-osticket.png', `created` = now() where `id` = '1';
insert into `@@DB_MAIN_PREFIX@@file_chunk` values('3', '0', 'Canned Attachments Rock!');
insert into `@@DB_MAIN_PREFIX@@form` values('1', 'U', '1', 'Contact Information', NULL, NULL, now(), now());
insert into `@@DB_MAIN_PREFIX@@form` values('2', 'T', '1', 'Ticket Details', 'Please Describe Your Issue', 'This form will be attached to every ticket, regardless of its source.\nYou can add any fields to this form and they will be available to all\ntickets, and will be searchable with advanced search and filterable.', '2013-12-17 10:10:19', '2013-12-17 10:10:19');
insert into `@@DB_MAIN_PREFIX@@form` values('3', 'C', '1', 'Company Information', 'Details available in email templates', NULL, now(), now());
insert into `@@DB_MAIN_PREFIX@@form_entry` values('1', '3', NULL, 'C', '1', now(), now());
insert into `@@DB_MAIN_PREFIX@@form_entry` values('2', '1', '1', 'U', '1', now(), now());
insert into `@@DB_MAIN_PREFIX@@form_entry` values('3', '2', '1', 'T', '1', now(), now());
insert into `@@DB_MAIN_PREFIX@@form_entry_values` values('1', '8', 'test', NULL);
insert into `@@DB_MAIN_PREFIX@@form_entry_values` values('1', '9', NULL, NULL);
insert into `@@DB_MAIN_PREFIX@@form_entry_values` values('1', '10', NULL, NULL);
insert into `@@DB_MAIN_PREFIX@@form_entry_values` values('1', '11', NULL, NULL);
insert into `@@DB_MAIN_PREFIX@@form_entry_values` values('2', '3', NULL, NULL);
insert into `@@DB_MAIN_PREFIX@@form_entry_values` values('2', '4', NULL, NULL);
insert into `@@DB_MAIN_PREFIX@@form_entry_values` values('3', '5', 'osTicket Installed!', NULL);
insert into `@@DB_MAIN_PREFIX@@form_entry_values` values('3', '7', 'Normal', '2');
insert into `@@DB_MAIN_PREFIX@@form_field` values('1', '1', 'text', 'Email Address', '1', '0', '15', 'email', '{\"size\":40,\"length\":64,\"validator\":\"email\"}', '1', NULL, now(), now());
insert into `@@DB_MAIN_PREFIX@@form_field` values('2', '1', 'text', 'Full Name', '1', '0', '15', 'name', '{\"size\":40,\"length\":64}', '2', NULL, now(), now());
insert into `@@DB_MAIN_PREFIX@@form_field` values('3', '1', 'phone', 'Phone Number', '0', '0', '0', 'phone', NULL, '3', NULL, now(), now());
insert into `@@DB_MAIN_PREFIX@@form_field` values('4', '1', 'memo', 'Internal Notes', '0', '1', '0', 'notes', '{\"rows\":4,\"cols\":40}', '4', NULL, now(), now());
insert into `@@DB_MAIN_PREFIX@@form_field` values('5', '2', 'text', 'Issue Summary', '1', '0', '15', 'subject', '{\"size\":40,\"length\":50}', '1', NULL, now(), now());
insert into `@@DB_MAIN_PREFIX@@form_field` values('6', '2', 'thread', 'Issue Details', '1', '0', '15', 'message', NULL, '2', 'Details on the reason(s) for opening the ticket.', now(), now());
insert into `@@DB_MAIN_PREFIX@@form_field` values('7', '2', 'priority', 'Priority Level', '0', '1', '3', 'priority', NULL, '3', NULL, now(), now());
insert into `@@DB_MAIN_PREFIX@@form_field` values('8', '3', 'text', 'Company Name', '1', '0', '3', 'name', '{\"size\":40,\"length\":64}', '1', NULL, now(), now());
insert into `@@DB_MAIN_PREFIX@@form_field` values('9', '3', 'text', 'Website', '0', '0', '0', 'website', '{\"size\":40,\"length\":64}', '2', NULL, now(), now());
insert into `@@DB_MAIN_PREFIX@@form_field` values('10', '3', 'phone', 'Phone Number', '0', '0', '0', 'phone', '{\"ext\":false}', '3', NULL, now(), now());
insert into `@@DB_MAIN_PREFIX@@form_field` values('11', '3', 'memo', 'Address', '0', '0', '0', 'address', '{\"rows\":2,\"cols\":40,\"html\":false,\"maxlength\":100}', '4', NULL, now(), now());
insert into `@@DB_MAIN_PREFIX@@group_dept_access` values('2', '3');
insert into `@@DB_MAIN_PREFIX@@group_dept_access` values('1', '3');
insert into `@@DB_MAIN_PREFIX@@group_dept_access` values('3', '3');
update `@@DB_MAIN_PREFIX@@groups` set `group_id` = '2', `group_enabled` = '1', `group_name` = 'Managers', `can_create_tickets` = '1', `can_edit_tickets` = '1', `can_post_ticket_reply` = '1', `can_delete_tickets` = '1', `can_close_tickets` = '1', `can_assign_tickets` = '1', `can_transfer_tickets` = '1', `can_ban_emails` = '1', `can_manage_premade` = '1', `can_manage_faq` = '1', `can_view_staff_stats` = '0', `notes` = 'Inhabitants of the ivory tower', `created` = now(), `updated` = now() where `group_id` = '2';
update `@@DB_MAIN_PREFIX@@groups` set `group_id` = '3', `group_enabled` = '0', `group_name` = 'Staff', `can_create_tickets` = '1', `can_edit_tickets` = '1', `can_post_ticket_reply` = '1', `can_delete_tickets` = '0', `can_close_tickets` = '1', `can_assign_tickets` = '1', `can_transfer_tickets` = '1', `can_ban_emails` = '0', `can_manage_premade` = '0', `can_manage_faq` = '0', `can_view_staff_stats` = '0', `notes` = 'Lowly staff members', `created` = now(), `updated` = now() where `group_id` = '3';
update `@@DB_MAIN_PREFIX@@groups` set `group_id` = '1', `group_enabled` = '1', `group_name` = 'Overseers', `can_create_tickets` = '1', `can_edit_tickets` = '1', `can_post_ticket_reply` = '1', `can_delete_tickets` = '1', `can_close_tickets` = '1', `can_assign_tickets` = '1', `can_transfer_tickets` = '1', `can_ban_emails` = '1', `can_manage_premade` = '1', `can_manage_faq` = '1', `can_view_staff_stats` = '0', `notes` = 'System overlords. These folks (initially) have full control to all the departments they have access to.', `created` = now(), `updated` = now() where `group_id` = '1';
update `@@DB_MAIN_PREFIX@@team` set `team_id` = '1', `lead_id` = '0', `isenabled` = '1', `noalerts` = '0', `name` = 'Level I Support', `notes` = 'Tier 1 support, responsible for the initial iteraction with customers', `created` = now(), `updated` = now() where `team_id` = '1';
insert into `@@DB_MAIN_PREFIX@@ticket_email_info` values('1', '<BDQ5FgBu3zC53P5XcESjJfiz@ffc2a3079c>', NULL);
insert into `@@DB_MAIN_PREFIX@@ticket_event` values('1', '0', '0', '1', '1', 'created', 'SYSTEM', '0', now());
update `@@DB_MAIN_PREFIX@@ticket_priority` set `priority_id` = '4', `priority` = 'emergency', `priority_desc` = 'Emergency', `priority_color` = '#FEE7E7', `priority_urgency` = '1', `ispublic` = '1' where `priority_id` = '4';
update `@@DB_MAIN_PREFIX@@ticket_thread` set `id` = '1', `pid` = '0', `ticket_id` = '1', `staff_id` = '0', `thread_type` = 'M', `poster` = '', `source` = 'Web', `title` = 'osTicket Installed!', `body` = '<p> Thank you for choosing osTicket. </p><p> Please make sure you join the <a href=\"http://osticket.com/forums\">osTicket forums</a> and our <a href=\"http://osticket.com/updates\">mailing list</a> to stay up to date on the latest news, security alerts and updates. The osTicket forums are also a great place to get assistance, guidance, tips, and help from other osTicket users. In addition to the forums, the osTicket wiki provides a useful collection of educational materials, documentation, and notes from the community. We welcome your contributions to the osTicket community. </p><p> If you are looking for a greater level of support, we provide professional services and commercial support with guaranteed response times, and access to the core development team. We can also help customize osTicket or even add new features to the system to meet your unique needs. </p><p> If the idea of managing and upgrading this osTicket installation is daunting, you can try osTicket as a hosted service at <a href=\"http://www.supportsystem.com\">http://www.supportsystem.com/</a> -- no installation required and we can import your data! With SupportSystem\'s turnkey infrastructure, you get osTicket at its best, leaving you free to focus on your customers without the burden of making sure the application is stable, maintained, and secure. </p><p> Cheers, </p><p> -<br /> osTicket Team http://osticket.com/ </p><p> <strong>PS.</strong> Don\'t just make customers happy, make happy customers! </p>', `ip_address` = '::1', `created` = now(), `updated` = '0000-00-00 00:00:00' where `id` = '1';
insert into `@@DB_MAIN_PREFIX@@user` values('1', '1', 'osTicket Support', now(), now());
insert into `@@DB_MAIN_PREFIX@@user_email` values('1', '1', 'support@osticket.com');

DELETE FROM `@@DB_MAIN_PREFIX@@page` WHERE id = 1;
DELETE FROM `@@DB_MAIN_PREFIX@@page` WHERE id = 3;
INSERT INTO `@@DB_MAIN_PREFIX@@page` (`id`, `isactive`, `type`, `name`, `body`, `lang`, `notes`, `created`, `updated`) VALUES
(1, 1, 'landing', 'Landing', '<h1>Welcome to the Support Center</h1>\n<p>\nIn order to streamline support requests and better serve you, we utilize\na support ticket system. Every support request is assigned a unique\nticket number which you can use to track the progress and responses\nonline. For your reference we provide complete archives and history of\nall your support requests. A valid email address is required to submit a\nticket.\n</p>', 'en_US', 'The landing page is served on the front page of the customer portal\nabove the two links for creating new tickets and viewing ticket status.', '2013-12-16 16:51:09', '2013-12-16 16:51:09'),
(3, 1, 'offline', 'Offline', '<div><h1>\n<span style="font-size: medium">Support Ticket System Offline</span>\n</h1>\n<p>Thank you for your interest in contacting us.</p>\n<p>Our helpdesk is offline at the moment, please check back at a later\ntime.</p>\n</div>', 'en_US', 'The offline page is served to the customer portal when the help desk is\nconfigured offline in the Admin Panel', '2013-12-16 16:51:09', '2013-12-16 16:51:09');

update `@@DB_MAIN_PREFIX@@page` set `isactive` = '1', `type` = 'thank-you', `name` = 'Thank You', `body` = '<div>%{ticket.name},\n<br>\n<br>\nThank you for contacting us.\n<br>\n<br>\nA support ticket request has been created and a representative will be\ngetting back to you shortly if necessary.</p>\n<br>\n<br>\nSupport Team\n</div>', `lang` = 'en_US', `notes` = 'The thank-you page is served to the customer portal when a user submites\na new ticket via the customer portal.', `created` = now(), `updated` = now() where `id` = '2';

