<?php
require_once('app-util.php');
require_once('file-util.php');

function upgrade_app($from_ver, $from_rel, $config_files, $db_ids, $psa_modify_hash, $db_modify_hash, $settings_modify_hash, $crypt_settings_modify_hash, $settings_enum_modify_hash, $additional_modify_hash) {
	$schemas = array(
			'1.6.4'   => 'upgrade-1.6.4-1.6.r0.sql',
			'1.6.r0'  => 'upgrade-1.6.r0-1.7.0.sql',
			'1.7.0'   => 'upgrade-1.7.0-1.7.1.sql',
			'1.7.1'   => 'upgrade-1.7.1-1.7.1.3.sql',
			'1.7.1.3' => 'upgrade-1.7.1.3-1.7.1.4.sql',
			'1.7.2'   => 'upgrade-1.7.3-1.8.0.1.sql',
			'1.7.3'   => 'upgrade-1.7.3-1.8.0.1.sql',
			'1.7.1.4' => 'upgrade-1.7.3-1.8.0.1.sql',
			'1.9.8.1' => ''
	);

	$upgrade_schema_files = array();

	$apply = false;
	foreach ($schemas as $key => $schema) {
		if ($key == $from_ver)
			$apply = true;
		if ($apply == true && $schema !== false)
			$upgrade_schema_files[$schema] = 'main';
	}

	// Upgrade from 1.6.x to 1.8.x
	configure($config_files, $upgrade_schema_files, $db_ids, $psa_modify_hash, $db_modify_hash, $settings_modify_hash, $crypt_settings_modify_hash, $settings_enum_modify_hash, $additional_modify_hash);

	// Upgrade from 1.8.x to last version
	upgrade_osticket();
	return 0;
}

function upgrade_osticket() {
	global $ost;
	global $cfg;

	$webdir = getenv('WEB___DIR');

	require_once($webdir . '/main.inc.php');
	require_once(INCLUDE_DIR . 'class.upgrader.php');

	$upgrader = new Upgrader(TABLE_PREFIX, UPGRADE_DIR . 'streams/');
	$errors = array();

	$upgrader->setState('upgrade');

	while ($ost->isUpgradePending() == true && ($upgrader->getTask() || $upgrader->isUpgradable())) {
		if ($upgrader->getTask() && $upgrader->doTask())
			$upgrader->getNextAction();

		if ($upgrader->isUpgradable()) {
			$version = $upgrader->getNextVersion();
			$upgrader->upgrade();
		}
	}

	$upgrader->setState('done');
}
?>